Bug 182136 - [bsd.gcc.mk] [patch] USE_GCC=yes shall imply 4.7 (was: USE_GCC defaults to 4.6 but gcc46 does not support powerpc64)
Summary: [bsd.gcc.mk] [patch] USE_GCC=yes shall imply 4.7 (was: USE_GCC defaults to 4....
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-16 01:30 UTC by Julio Merino
Modified: 2014-03-10 21:03 UTC (History)
0 users

See Also:


Attachments
file.diff (534 bytes, patch)
2013-09-16 01:30 UTC, Julio Merino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julio Merino 2013-09-16 01:30:00 UTC
	The ports system defaults to using gcc46 or above when USE_GCC is set
        in a package.  However, gcc46 does not support powerpc64 so this
        default is broken in a powerpc64 host.

        The solution to this problem is one of:
        
        1) Fix gcc46 in powerpc64.  Dunno how hard or worthwhile that is.
        2) Bump the default to 4.7 for all platforms.  Things can break and
           if the default is still 4.6, there probably is some reason.
        3) Bump the default to 4.7 in powerpc64 only.  Easy to do, but not
           consistent across platforms.

Fix: I think option 3 above is the easiest at the moment and can be
        achieved with:
How-To-Repeat: 	Attempt to build www/firefox in a powerpc64 host.  See the build
        abort early due to gcc46 not supporting this platform.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-09-30 00:17:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Fix synopsis and assign.
Comment 2 gerald 2013-09-30 05:45:44 UTC
This reminds me that I had a patch to update USE_GCC=yes to GCC 4.7
with portmgr for more than a month.  Probably GNAT is better than a
regular mail, so let me post this here.

Gerald


From: Gerald Pfeifer <gerald@pfeifer.com>
To: portmgr@FreeBSD.org
Date: Sun, 25 Aug 2013 15:57:25 +0200 (CEST)
Subject: Change default version of ports GCC from 4.6 to 4.7

Hi portsmgrs,

after the prelminary work the last weeks, this is now a short and
simple change. 

It changes the default version of GCC in the ports collection to
GCC 4.7 when USE_GCC=yes or USE_FORTRAN=yes are used.

Based on experience there is risk that some non-standards compliant
ports will break, and we need to get those fixed are force USE_GCC=4.6 
on those.  Hence an -exp run will be necessary.

Can you please help?

Thanks,
Gerald

PS: If possible I'd love to commit this and the math/mpc update 
nearly simultaneously, so that users only have to undergo a single 
round of updates.


Index: Mk/bsd.gcc.mk
===================================================================
--- Mk/bsd.gcc.mk	(revision 325341)
+++ Mk/bsd.gcc.mk	(working copy)
@@ -18,7 +18,7 @@
 #
 # Examples:
 #   USE_GCC=	yes			# port requires a current version of GCC
-#							# (4.6 as of today, subject to change).
+#							# (4.7 as of today, subject to change).
 #   USE_GCC=	4.2+		# port requires GCC 4.2 or later.
 #   USE_GCC=	4.7			# port requires GCC 4.7.
 #
@@ -25,7 +25,7 @@
 # If your port needs a Fortran compiler, please specify that with the
 # USE_FORTRAN= knob.  Here is the list of options for that knob:
 #
-#   USE_FORTRAN=	yes		# use gfortran46 (lang/gcc46)
+#   USE_FORTRAN=	yes		# use gfortran47 (lang/gcc47)
 #   USE_FORTRAN=	g77		# use g77-34 (lang/gcc34)
 #   USE_FORTRAN=	ifort	# use the Intel compiler (lang/ifc)
 #
@@ -54,7 +54,7 @@
 GCCVERSION_040700=	     0       0 4.7
 GCCVERSION_040800=	     0       0 4.8
 
-GCC_DEFAULT_VERSION=	4.6
+GCC_DEFAULT_VERSION=	4.7
 GCC_DEFAULT_V=	${GCC_DEFAULT_VERSION:S/.//}
 
 # No configurable parts below this. ####################################
Index: lang/gcc/Makefile
===================================================================
--- lang/gcc/Makefile	(revision 325341)
+++ lang/gcc/Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gcc
-PORTVERSION=	4.6.3
+PORTVERSION=	4.7.3
 CATEGORIES=	lang java
 MASTER_SITES=	${MASTER_SITE_GCC}
 MASTER_SITE_SUBDIR=	releases/gcc-${DISTVERSION}
@@ -20,7 +20,7 @@
 BUILD_DEPENDS+=	runtest:${PORTSDIR}/misc/dejagnu
 .endif
 
-CONFLICTS=	gcc-4.6.[4-9]*
+CONFLICTS=	gcc-4.7.[4-9]*
 
 # DISTVERSION relates to downloads, GCC_VERSION and SUFFIX to names
 # of executables and directories once installed.
Comment 3 Gerald Pfeifer freebsd_committer 2013-09-30 13:47:52 UTC
Responsible Changed
From-To: gerald->portmgr

portmgrs, can you please do an exp-run?
Comment 4 Bryan Drewery freebsd_committer 2013-10-01 19:45:57 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 5 Bryan Drewery freebsd_committer 2013-10-04 01:54:08 UTC
Responsible Changed
From-To: bdrewery->gerald

back to gerald, 4.7 exp-run results sent in email
Comment 6 dfilter service freebsd_committer 2013-12-07 22:36:28 UTC
Author: gerald
Date: Sat Dec  7 22:36:21 2013
New Revision: 335855
URL: http://svnweb.freebsd.org/changeset/ports/335855

Log:
  Explicitly include the GCC run time directory in LDFLAGS.  This should
  not be necessary when linking with GCC, but that's not the only way the
  link process can be invoked.
  
  PR:		182136

Modified:
  head/Mk/bsd.gcc.mk

Modified: head/Mk/bsd.gcc.mk
==============================================================================
--- head/Mk/bsd.gcc.mk	Sat Dec  7 22:27:12 2013	(r335854)
+++ head/Mk/bsd.gcc.mk	Sat Dec  7 22:36:21 2013	(r335855)
@@ -209,7 +209,7 @@ CPP:=			cpp${V}
 _GCC_RUNTIME:=		${LOCALBASE}/lib/gcc${V}
 CFLAGS+=		-Wl,-rpath=${_GCC_RUNTIME}
 CXXFLAGS+=		-Wl,-rpath=${_GCC_RUNTIME}
-LDFLAGS+=		-Wl,-rpath=${_GCC_RUNTIME}
+LDFLAGS+=		-Wl,-rpath=${_GCC_RUNTIME} -L${_GCC_RUNTIME}
 .    if defined (USE_FORTRAN)
 .    if ${USE_FORTRAN} == yes
 FFLAGS+=		-Wl,-rpath=${_GCC_RUNTIME}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2013-12-08 19:39:38 UTC
Author: gerald
Date: Sun Dec  8 19:39:27 2013
New Revision: 335929
URL: http://svnweb.freebsd.org/changeset/ports/335929

Log:
  Unbreak this port by applying the real patchset that was submitted [1] which
  - adds USE_GCC since that's how libpvm3.a (a dependency) was built;
  - renames namespace Pvm::Internal to avoid conflict with class Pvm::Internal;
  - adds #include <stdlib.h> where required.
  
  While we are at it, migrate from USE_GMAKE to USES=gmake.
  
  PR:		182136 [1]
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net> [1]
  Pointyhat to:	gerald [1]

Added:
  head/net/pvm++/files/patch-examples-forkjoin-forkjoin.cc   (contents, props changed)
  head/net/pvm++/files/patch-examples-talk-talk.hh   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-class.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-handlertabletype.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-host.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-internal.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-internal.hh   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-internal.ii   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-private.hh   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-struct.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-structset.cc   (contents, props changed)
  head/net/pvm++/files/patch-pvm++-task.cc   (contents, props changed)
Deleted:
  head/net/pvm++/files/patch-mrt-base_file.h
Modified:
  head/net/pvm++/Makefile

Modified: head/net/pvm++/Makefile
==============================================================================
--- head/net/pvm++/Makefile	Sun Dec  8 19:24:42 2013	(r335928)
+++ head/net/pvm++/Makefile	Sun Dec  8 19:39:27 2013	(r335929)
@@ -10,12 +10,11 @@ MASTER_SITES=	SF/pvm-plus-plus/pvm-plus-
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A C++-Library for PVM
 
-BROKEN=		Fails to patch
-
 BUILD_DEPENDS=	${LOCALBASE}/lib/libpvm3.a:${PORTSDIR}/net/pvm
 
+USES=		gmake
 USE_AUTOTOOLS=	libtool
-USE_GMAKE=	yes
+USE_GCC=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-pvm-incs=${LOCALBASE}/include \
 		--with-pvm-libs=${LOCALBASE}/lib

Added: head/net/pvm++/files/patch-examples-forkjoin-forkjoin.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-examples-forkjoin-forkjoin.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,10 @@
+--- examples/forkjoin/forkjoin.cc.orig	2013-11-16 20:05:10.000000000 +0100
++++ examples/forkjoin/forkjoin.cc	2013-11-16 20:05:29.000000000 +0100
+@@ -5,6 +5,7 @@
+ 
+ /* defines and prototypes for the PVM++ and PVM libraries */
+ 
++#include <stdlib.h>
+ #include <pvm++/pvm++.hh>
+ 
+ /* Maximum number of children this program will spawn */

Added: head/net/pvm++/files/patch-examples-talk-talk.hh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-examples-talk-talk.hh	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,7 @@
+--- examples/talk/talk.hh.orig	2013-11-16 20:05:10.000000000 +0100
++++ examples/talk/talk.hh	2013-11-16 20:05:46.000000000 +0100
+@@ -1,3 +1,4 @@
++#include <stdlib.h>
+ #include <pvm++/pvm++.hh>
+ 
+ const Pvm::StructId MessageId = 1;

Added: head/net/pvm++/files/patch-pvm++-class.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-class.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/class.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/class.cc	2013-11-16 20:02:45.000000000 +0100
+@@ -22,7 +22,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;  
++  using namespace Internal_;  
+ 
+   void
+   Throw (int Error, const char *File, int Line)

Added: head/net/pvm++/files/patch-pvm++-handlertabletype.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-handlertabletype.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/handlertabletype.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/handlertabletype.cc	2013-11-16 20:03:09.000000000 +0100
+@@ -21,7 +21,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   ReceiveAction
+   HandlerTableType::Install (Struct &Struct, ReceiveAction What)

Added: head/net/pvm++/files/patch-pvm++-host.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-host.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/host.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/host.cc	2013-11-16 20:02:50.000000000 +0100
+@@ -21,7 +21,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   Host::operator unsigned int () const
+   {

Added: head/net/pvm++/files/patch-pvm++-internal.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-internal.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,23 @@
+--- pvm++/internal.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/internal.cc	2013-11-16 20:02:56.000000000 +0100
+@@ -27,7 +27,7 @@
+ namespace Pvm
+ {
+ 
+-  namespace Internal
++  namespace Internal_
+   {
+   
+     void
+@@ -225,9 +225,9 @@
+     HandlerTableType *HandlerTable;
+     QueueType *ReceivedQueue;
+   
+-  } // namespace Internal
++  } // namespace Internal_
+   
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   void
+   AccessPrivate::UnPack (const QueueIterator &QueuePos, StructSet &What,

Added: head/net/pvm++/files/patch-pvm++-internal.hh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-internal.hh	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,20 @@
+--- pvm++/internal.hh.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/internal.hh	2013-11-16 20:03:28.000000000 +0100
+@@ -37,7 +37,7 @@
+ 			long int EndSec, long int EnduSec);
+   };
+ 
+-  namespace Internal
++  namespace Internal_
+   {
+ 
+     void GetTasks (int What, TaskSet & Result);
+@@ -69,7 +69,7 @@
+     extern HandlerTableType *HandlerTable;
+     extern QueueType *ReceivedQueue;
+ 
+-  } // namespace Internal
++  } // namespace Internal_
+ 
+ } // namespace Pvm
+ 

Added: head/net/pvm++/files/patch-pvm++-internal.ii
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-internal.ii	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,20 @@
+--- pvm++/internal.ii.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/internal.ii	2013-11-16 20:03:32.000000000 +0100
+@@ -25,7 +25,7 @@
+ namespace Pvm
+ {
+ 
+-  namespace Internal
++  namespace Internal_
+   {
+     
+     inline
+@@ -57,7 +57,7 @@
+       return AccessPrivate::Select (StructSet, EndSec, EnduSec);
+     }   
+ 
+-  } // namespace Internal
++  } // namespace Internal_
+ 
+ } // namespace Pvm
+ 

Added: head/net/pvm++/files/patch-pvm++-private.hh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-private.hh	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/private.hh.orig	2013-11-16 20:04:12.000000000 +0100
++++ pvm++/private.hh	2013-11-16 20:04:29.000000000 +0100
+@@ -20,6 +20,8 @@
+ #ifndef __PVM_PRIVATE_HH__
+ #define __PVM_PRIVATE_HH__
+ 
++#include <stdlib.h>
++
+ #include <pvm++/pvm++.hh>
+ 
+ #include <pvm++/privatetypes.hh>

Added: head/net/pvm++/files/patch-pvm++-struct.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-struct.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/struct.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/struct.cc	2013-11-16 20:03:01.000000000 +0100
+@@ -21,7 +21,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   Task Struct::IgnoreTask;
+   bool Struct::CurrentlyPacking;

Added: head/net/pvm++/files/patch-pvm++-structset.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-structset.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/structset.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/structset.cc	2013-11-16 20:03:20.000000000 +0100
+@@ -21,7 +21,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   Task StructSet::IgnoreTask;
+ 

Added: head/net/pvm++/files/patch-pvm++-task.cc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pvm++/files/patch-pvm++-task.cc	Sun Dec  8 19:39:27 2013	(r335929)
@@ -0,0 +1,11 @@
+--- pvm++/task.cc.orig	2013-11-16 19:59:44.000000000 +0100
++++ pvm++/task.cc	2013-11-16 20:03:04.000000000 +0100
+@@ -21,7 +21,7 @@
+ 
+ namespace Pvm
+ {
+-  using namespace Internal;
++  using namespace Internal_;
+ 
+   bool 
+   Task::HasParent () const
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-12-09 08:18:45 UTC
Author: martymac
Date: Mon Dec  9 08:18:37 2013
New Revision: 335954
URL: http://svnweb.freebsd.org/changeset/ports/335954

Log:
  Fix build with Gcc 4.7
  
  PR:		ports/184573, ports/182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>

Added:
  head/devel/raknet/files/patch-Source-DS_BinarySearchTree.h   (contents, props changed)

Added: head/devel/raknet/files/patch-Source-DS_BinarySearchTree.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/raknet/files/patch-Source-DS_BinarySearchTree.h	Mon Dec  9 08:18:37 2013	(r335954)
@@ -0,0 +1,66 @@
+--- Source/DS_BinarySearchTree.h.orig	2013-11-15 22:00:44.000000000 +0100
++++ Source/DS_BinarySearchTree.h	2013-11-15 22:02:47.000000000 +0100
+@@ -166,12 +166,12 @@
+ 			if ( current->left == 0 )
+ 				left_height = 0;
+ 			else
+-				left_height = Height( current->left );
++				left_height = this->Height( current->left );
+ 				
+ 			if ( current->right == 0 )
+ 				right_height = 0;
+ 			else
+-				right_height = Height( current->right );
++				right_height = this->Height( current->right );
+ 				
+ 			if ( right_height - left_height == 2 )
+ 			{
+@@ -199,7 +199,7 @@
+ 			if ( current == this->root )
+ 				break;
+ 				
+-			current = FindParent( *( current->item ) );
++			current = this->FindParent( *( current->item ) );
+ 			
+ 		}
+ 	}
+@@ -226,7 +226,7 @@
+ 		if ( A == 0 )
+ 			return false;
+ 			
+-		return Height( A->right ) > Height( A->left );
++		return this->Height( A->right ) > this->Height( A->left );
+ 	}
+ 	
+ 	template <class BinarySearchTreeType>
+@@ -235,7 +235,7 @@
+ 		if ( A == 0 )
+ 			return false;
+ 			
+-		return Height( A->left ) > Height( A->right );
++		return this->Height( A->left ) > this->Height( A->right );
+ 	}
+ 	
+ 	template <class BinarySearchTreeType>
+@@ -272,8 +272,8 @@
+ 		
+ 		*/
+ 		
+-		B = FindParent( *( C->item ) );
+-		A = FindParent( *( B->item ) );
++		B = this->FindParent( *( C->item ) );
++		A = this->FindParent( *( B->item ) );
+ 		D = C->right;
+ 		
+ 		if ( A )
+@@ -336,8 +336,8 @@
+ 		
+ 		*/
+ 		
+-		B = FindParent( *( C->item ) );
+-		A = FindParent( *( B->item ) );
++		B = this->FindParent( *( C->item ) );
++		A = this->FindParent( *( B->item ) );
+ 		D = C->left;
+ 		
+ 		if ( A )
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2013-12-12 16:49:03 UTC
Author: gerald
Date: Thu Dec 12 16:48:56 2013
New Revision: 336278
URL: http://svnweb.freebsd.org/changeset/ports/336278

Log:
  Add #include <sys/types.h> needed by newer compilers such as GCC 4.7.
  
  PR:		184567, 182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer (O. Hartmann <ohartman@zedat.fu-berlin.de>)

Added:
  head/devel/freeocl/files/patch-src_freeocl.h   (contents, props changed)

Added: head/devel/freeocl/files/patch-src_freeocl.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/freeocl/files/patch-src_freeocl.h	Thu Dec 12 16:48:56 2013	(r336278)
@@ -0,0 +1,10 @@
+--- src/freeocl.h.orig	2013-11-15 21:18:17.000000000 +0100
++++ src/freeocl.h	2013-11-15 21:24:32.000000000 +0100
+@@ -26,6 +26,7 @@
+ #include "dispatch.h"
+ #include <iostream>
+ #include <deque>
++#include <sys/types.h>
+ 
+ #ifdef DEBUG_UTILS
+ #define MSG(X)	std::cout << #X << std::endl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2013-12-13 09:34:48 UTC
Author: gerald
Date: Fri Dec 13 09:34:40 2013
New Revision: 336328
URL: http://svnweb.freebsd.org/changeset/ports/336328

Log:
  Fix the build with more standards-compliant compilers such as GCC 4.7. [1]
  
  On the way replace USE_GMAKE by USES=gmake.
  
  PR:		184566 [1], 182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net> [1]
  Approved by:	maintainer (Jason Bacon <jwbacon@tds.net>) [1]

Added:
  head/biology/plink/files/patch-elf.cpp   (contents, props changed)
  head/biology/plink/files/patch-idhelp.cpp   (contents, props changed)
  head/biology/plink/files/patch-sets.cpp   (contents, props changed)
Modified:
  head/biology/plink/Makefile

Modified: head/biology/plink/Makefile
==============================================================================
--- head/biology/plink/Makefile	Fri Dec 13 09:03:57 2013	(r336327)
+++ head/biology/plink/Makefile	Fri Dec 13 09:34:40 2013	(r336328)
@@ -15,8 +15,8 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	liblapack.so:${PORTSDIR}/math/lapack
 
+USES=		gmake
 USE_ZIP=	yes
-USE_GMAKE=	yes
 USE_FORTRAN=	yes	# Make it use the same compiler as lapack
 
 PLIST_FILES=	bin/plink

Added: head/biology/plink/files/patch-elf.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/files/patch-elf.cpp	Fri Dec 13 09:34:40 2013	(r336328)
@@ -0,0 +1,25 @@
+--- elf.cpp.orig	2013-11-16 17:09:56.000000000 +0100
++++ elf.cpp	2013-11-16 17:10:24.000000000 +0100
+@@ -1175,10 +1175,10 @@
+ 	  << setw(8) << gcnt << " "
+ 	  << setw(8) << (double)cnt / (double)gcnt << "\n";
+ 
+-      map<int,int>::iterator i = chr_cnt.begin();
+-      while ( i != chr_cnt.end() )
++      map<int,int>::iterator ichr = chr_cnt.begin();
++      while ( ichr != chr_cnt.end() )
+ 	{
+-	  int c = i->first;
++	  int c = ichr->first;
+ 	  int x = chr_cnt.find( c )->second;
+ 	  int y = chr_gcnt.find( c )->second;
+ 	  
+@@ -1189,7 +1189,7 @@
+ 	      << setw(8) << y << " "
+ 	      << setw(8) << (double)x / (double)y << "\n";
+ 	  
+-	  ++i;
++	  ++ichr;
+ 	}
+       
+     }

Added: head/biology/plink/files/patch-idhelp.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/files/patch-idhelp.cpp	Fri Dec 13 09:34:40 2013	(r336328)
@@ -0,0 +1,19 @@
+--- idhelp.cpp.orig	2013-11-16 17:11:42.000000000 +0100
++++ idhelp.cpp	2013-11-16 17:12:53.000000000 +0100
+@@ -772,12 +772,12 @@
+       for (int j = 0 ; j < jointField.size(); j++ )
+ 	{
+ 	  set<IDField*> & jf = jointField[j];
+-	  set<IDField*>::iterator j = jf.begin();
++	  set<IDField*>::iterator jfit = jf.begin();
+ 	  PP->printLOG(" { ");
+-	  while ( j != jf.end() )
++	  while ( jfit != jf.end() )
+ 	    {
+-	      PP->printLOG( (*j)->name + " " );
+-	      ++j;
++	      PP->printLOG( (*jfit)->name + " " );
++	      ++jfit;
+ 	    }
+ 	  PP->printLOG(" }");
+ 	}

Added: head/biology/plink/files/patch-sets.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/files/patch-sets.cpp	Fri Dec 13 09:34:40 2013	(r336328)
@@ -0,0 +1,18 @@
+--- sets.cpp.orig	2013-11-16 17:06:29.000000000 +0100
++++ sets.cpp	2013-11-16 17:07:12.000000000 +0100
+@@ -768,11 +768,11 @@
+       //////////////////////////////////////////////
+       // Reset original missing status
+ 
+-      vector<Individual*>::iterator i = PP->sample.begin();
+-      while ( i != PP->sample.end() )
++      vector<Individual*>::iterator ipp = PP->sample.begin();
++      while ( ipp != PP->sample.end() )
+ 	{
+-	  (*i)->missing = (*i)->flag;
+-	  ++i;
++	  (*ipp)->missing = (*ipp)->flag;
++	  ++ipp;
+ 	}
+ 
+       ////////////////////////////////////////////////
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2014-01-21 05:34:56 UTC
Author: gerald
Date: Tue Jan 21 05:34:46 2014
New Revision: 340551
URL: http://svnweb.freebsd.org/changeset/ports/340551
QAT: https://qat.redports.org/buildarchive/r340551/

Log:
  Pass full LDFLAGS to configure script.  This fixes the build with
  newer versions of GCC, allowing for an update of lang/gcc (and it's
  the right thing anyway).
  
  PR:		182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer timeout

Modified:
  head/math/petsc/Makefile

Modified: head/math/petsc/Makefile
==============================================================================
--- head/math/petsc/Makefile	Tue Jan 21 05:20:23 2014	(r340550)
+++ head/math/petsc/Makefile	Tue Jan 21 05:34:46 2014	(r340551)
@@ -25,7 +25,8 @@ CONFIGURE_ENV=		PETSC_ARCH=${TARGET}	\
 CONFIGURE_ARGS=		--prefix=${PREFIX}/${PFX} --COPTFLAGS="${CFLAGS}"	\
 			--CXXOPTFLAGS="${CXXFLAGS}" --FOPTFLAGS="${FFLAGS}"	\
 			--with-shared=1 --with-cc=${CC} --with-fc=${FC}		\
-			--CPPFLAGS="-I${LOCALBASE}/include" --LDFLAGS=${PTHREAD_LIBS}
+			--CPPFLAGS="-I${LOCALBASE}/include"	\
+			--LDFLAGS="${PTHREAD_LIBS} ${LDFLAGS}"
 ALL_TARGET=		all
 MAKEFILE=		makefile
 MAKE_ENV=		PETSC_DIR=${WRKSRC}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2014-01-26 13:20:20 UTC
Author: gerald
Date: Sun Jan 26 13:20:07 2014
New Revision: 341172
URL: http://svnweb.freebsd.org/changeset/ports/341172
QAT: https://qat.redports.org/buildarchive/r341172/

Log:
  Ensure sure LDFLAGS are used correctly (which is necessary for newer
  versions of GCC, for example).
  
  PR:		182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer timeout

Added:
  head/math/superlu_mt/files/patch-INSTALL-Makefile   (contents, props changed)
Modified:
  head/math/superlu_mt/Makefile

Modified: head/math/superlu_mt/Makefile
==============================================================================
--- head/math/superlu_mt/Makefile	Sun Jan 26 12:55:03 2014	(r341171)
+++ head/math/superlu_mt/Makefile	Sun Jan 26 13:20:07 2014	(r341172)
@@ -88,8 +88,8 @@ post-patch:
 		${WRKSRC_SHARED}/make.inc
 
 do-build:
-	cd ${WRKSRC} ; ${GMAKE}
-	cd ${WRKSRC_SHARED} ; ${GMAKE}
+	cd ${WRKSRC} ; ${GMAKE} LDFLAGS="${LDFLAGS}"
+	cd ${WRKSRC_SHARED} ; ${GMAKE} LDFLAGS="${LDFLAGS}"
 	${RM} -rf ${WRKDIR}/tmp_static
 	${MKDIR} ${WRKDIR}/tmp_static
 	cd ${WRKDIR}/tmp_static

Added: head/math/superlu_mt/files/patch-INSTALL-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/superlu_mt/files/patch-INSTALL-Makefile	Sun Jan 26 13:20:07 2014	(r341172)
@@ -0,0 +1,11 @@
+--- INSTALL/Makefile.orig	2013-11-16 19:14:28.000000000 +0100
++++ INSTALL/Makefile	2013-11-16 19:14:58.000000000 +0100
+@@ -17,7 +17,7 @@
+ 
+ slamch.o: slamch.c ; $(CC) $(NOOPTS) -c $<
+ dlamch.o: dlamch.c ; $(CC) $(NOOPTS) -c $<
+-superlu_timer.o: superlu_timer.c; $(CC) $(NOOPTS) -c $<
++superlu_timer.o: superlu_timer.c; $(CC) $(LDFLAGS) $(NOOPTS) -c $<
+ 
+ .c.o: ; $(CC) $(CFLAGS) -c $<
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 13 Gerald Pfeifer freebsd_committer 2014-02-25 00:51:32 UTC
Responsible Changed
From-To: gerald->portmgr

Hi guys, after weeks of painfully fixing individual ports, today 
what we believe is a fix for all the Python-related failures of 
the previous run has been committed. 

And some changes to Mk/, plus lang/gcc/ also has changed the last 
months, so here is a new patchset.   

Can you please run an exp-run and advise whether this is now fine 
to commit? 

Thanks, 
Gerald 


Index: Mk/Uses/fortran.mk 
=================================================================== 
--- Mk/Uses/fortran.mk	(revision 345910) 
+++ Mk/Uses/fortran.mk	(working copy) 
@@ -16,7 +16,7 @@ 
.endif 

.if ${fortran_ARGS} == gcc 
-_GCC_VER=	46 
+_GCC_VER=	47 
BUILD_DEPENDS+=	gfortran${_GCC_VER}:${PORTSDIR}/lang/gcc 
RUN_DEPENDS+=	gfortran${_GCC_VER}:${PORTSDIR}/lang/gcc 
USE_BINUTILS=	yes 
Index: Mk/bsd.default-versions.mk 
=================================================================== 
--- Mk/bsd.default-versions.mk	(revision 345910) 
+++ Mk/bsd.default-versions.mk	(working copy) 
@@ -20,7 +20,7 @@ 

APACHE_DEFAULT?=	2.2 
FPC_DEFAULT?=		2.6.2 
-GCC_DEFAULT?=		4.6 
+GCC_DEFAULT?=		4.7 
LUA_DEFAULT?=		5.2 
MYSQL_DEFAULT?=		5.5 
PERL5_DEFAULT?=		5.16 
Index: Mk/bsd.gcc.mk 
=================================================================== 
--- Mk/bsd.gcc.mk	(revision 345910) 
+++ Mk/bsd.gcc.mk	(working copy) 
@@ -19,7 +19,7 @@ 
# 
# Examples: 
#   USE_GCC=	yes			# port requires a current version of GCC 
-#							# (4.6 as of today, subject to change). 
+#							# (4.7 as of today, subject to change). 
#   USE_GCC=	any			# port requires GCC 4.2 or later. 
#   USE_GCC=	4.8+		# port requires GCC 4.8 or later. 
#   USE_GCC=	4.8			# port requires GCC 4.8. 
Index: lang/gcc/Makefile 
=================================================================== 
--- lang/gcc/Makefile	(revision 345910) 
+++ lang/gcc/Makefile	(working copy) 
@@ -2,13 +2,13 @@ 
# $FreeBSD$ 

PORTNAME=	gcc 
-PORTVERSION=	4.6.4 
+PORTVERSION=	4.7.3 
CATEGORIES=	lang java 
MASTER_SITES=	${MASTER_SITE_GCC} 
MASTER_SITE_SUBDIR=	releases/gcc-${DISTVERSION} 

MAINTAINER=	gerald@FreeBSD.org 
-COMMENT=	GNU Compiler Collection 4.6 
+COMMENT=	GNU Compiler Collection 4.7 

LICENSE=	GPLv3 GPLv3RLE 
LICENSE_COMB=	multi 
@@ -23,7 +23,7 @@ 
BUILD_DEPENDS+=	runtest:${PORTSDIR}/misc/dejagnu 
.endif 

-CONFLICTS=	gcc46* 
+CONFLICTS=	gcc47* 

# DISTVERSION relates to downloads, GCC_VERSION and SUFFIX to names 
# of executables and directories once installed. 
@@ -30,7 +30,7 @@ 
DISTVERSION=	${PORTVERSION} 
GCC_VERSION=	${PORTVERSION:C/(.+).[0-9]{8}/1/} 
SUFFIX=		${PORTVERSION:C/([0-9]+).([0-9]+).*/12/} 
-ONLY_FOR_ARCHS=	amd64 i386 ia64 powerpc sparc64 
+ONLY_FOR_ARCHS=	amd64 i386 powerpc powerpc64 sparc64 
USES=		gmake iconv perl5 
USE_BINUTILS=	yes 
USE_BZIP2=	yes 
@@ -55,6 +55,10 @@ 
CONFIGURE_TARGET=	${ARCH}-portbld-${OPSYS:L}${OSREL} 
.endif 

+.if ${ARCH} == powerpc64 
+CONFIGURE_ENV+=	UNAME_m="powerpc64" 
+.endif 
+ 
LANGUAGES:=	c,c++,objc,fortran 
SRCDIR=		${WRKDIR}/gcc-${DISTVERSION} 
WRKSRC=		${WRKDIR}/build 
@@ -67,6 +71,7 @@ 
ALL_TARGET=	bootstrap-lean 
.endif 
CONFIGURE_ARGS+=--disable-nls  
+		--enable-gnu-indirect-function  
--libdir=${TARGLIB}  
--libexecdir=${LIBEXEC}  
--program-suffix=${SUFFIX}  
@@ -91,7 +96,8 @@ 
gcc${SUFFIX}/libgomp 
# Release tarballs (as opposed to snapshots) always carry this. 
#.if ${ARCH} != "ia64" && ${ARCH} != "powerpc" && ${ARCH} != "sparc64" 
-INFO+=		gcc${SUFFIX}/libquadmath 
+INFO+=		gcc${SUFFIX}/libquadmath  
+		gcc${SUFFIX}/libitm 
#.endif 

.if ${PORT_OPTIONS:MJAVA} 
Index: lang/gcc/distinfo 
=================================================================== 
--- lang/gcc/distinfo	(revision 345910) 
+++ lang/gcc/distinfo	(working copy) 
@@ -1,2 +1,2 @@ 
-SHA256 (gcc-4.6.4.tar.bz2) = 35af16afa0b67af9b8eb15cafb76d2bc5f568540552522f5dc2c88dd45d977e8 
-SIZE (gcc-4.6.4.tar.bz2) = 72006076 
+SHA256 (gcc-4.7.3.tar.bz2) = 2f7c37eb4fc14422ff2358a9ef59c974a75ab41204ef0e49fc34ab1d8981a9c3 
+SIZE (gcc-4.7.3.tar.bz2) = 82904224 
Index: lang/gcc/files/patch-unwind-ia64.h 
=================================================================== 
--- lang/gcc/files/patch-unwind-ia64.h	(revision 345910) 
+++ lang/gcc/files/patch-unwind-ia64.h	(working copy) 
@@ -1,19 +0,0 @@ 
-2010-09-12  Gerald Pfeifer  <gerald@pfeifer.com> 
- 
-       PR target/45650 
-       * config/ia64/unwind-ia64.h: Do not mark _Unwind_FindTableEntry 
-       hidden on FreeBSD. 
- 
-Index: gcc/config/ia64/unwind-ia64.h 
-=================================================================== 
---- gcc/config/ia64/unwind-ia64.h	(revision 164211) 
-+++ gcc/config/ia64/unwind-ia64.h	(working copy) 
-@@ -40,4 +40,7 @@ 
- extern struct unw_table_entry * 
- _Unwind_FindTableEntry (void *pc, unsigned long *segment_base, 
- 			unsigned long *gp, struct unw_table_entry *ent) 
--			__attribute__ ((__visibility__ ("hidden"))); 
-+#ifndef __FreeBSD__ 
-+			__attribute__ ((__visibility__ ("hidden"))) 
-+#endif 
-+                        ; 
Index: lang/gcc/pkg-descr 
=================================================================== 
--- lang/gcc/pkg-descr	(revision 345910) 
+++ lang/gcc/pkg-descr	(working copy) 
@@ -1,11 +1,11 @@ 
GCC, the GNU Compiler Collection, supports a number of languages.  This 
-port installs the C, C++, Fortran and Java front ends as gcc46, g++46, 
-gfortran46, and gcj46, respectively. 
+port installs the C, C++, Fortran and Java front ends as gcc47, g++47, 
+gfortran47, and gcj47, respectively. 

-It can be used interchangibly with the lang/gcc46 port which tracks 
+It can be used interchangibly with the lang/gcc47 port which tracks 
weekly upstream snapshots whereas this port will be updated less 
frequently, mostly in sync with upstream releases, and will move to 
-lang/gcc47 and later over time. 
+lang/gcc48 and later over time. 

WWW: http://gcc.gnu.org/ 

Index: lang/gcc/pkg-plist 
=================================================================== 
--- lang/gcc/pkg-plist	(revision 345910) 
+++ lang/gcc/pkg-plist	(working copy) 
@@ -2,11 +2,17 @@ 
bin/%%GNU_HOST%%-g++%%SUFFIX%% 
bin/%%GNU_HOST%%-gcc%%SUFFIX%% 
bin/%%GNU_HOST%%-gcc-%%GCC_VERSION%% 
+bin/%%GNU_HOST%%-gcc-ar%%SUFFIX%% 
+bin/%%GNU_HOST%%-gcc-nm%%SUFFIX%% 
+bin/%%GNU_HOST%%-gcc-ranlib%%SUFFIX%% 
bin/%%GNU_HOST%%-gfortran%%SUFFIX%% 
bin/c++%%SUFFIX%% 
bin/cpp%%SUFFIX%% 
bin/g++%%SUFFIX%% 
bin/gcc%%SUFFIX%% 
+bin/gcc-ar%%SUFFIX%% 
+bin/gcc-nm%%SUFFIX%% 
+bin/gcc-ranlib%%SUFFIX%% 
bin/gcov%%SUFFIX%% 
bin/gfortran%%SUFFIX%% 
info/gcc%%SUFFIX%%/dir 
@@ -47,7 +53,7 @@ 
%%JAVA%%bin/jcf-dump%%SUFFIX%% 
%%JAVA%%bin/jv-convert%%SUFFIX%% 
%%JAVA%%bin/rebuild-gcj-db%%SUFFIX%% 
-%%JAVA%%libdata/pkgconfig/libgcj-4.6.pc 
+%%JAVA%%libdata/pkgconfig/libgcj-4.7.pc 
%%JAVA%%man/man1/aot-compile%%SUFFIX%%.1.gz 
%%JAVA%%man/man1/gappletviewer%%SUFFIX%%.1.gz 
%%JAVA%%man/man1/gc-analyze%%SUFFIX%%.1.gz
Comment 14 Bryan Drewery freebsd_committer 2014-02-25 01:38:09 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 15 Bryan Drewery freebsd_committer 2014-03-02 18:55:20 UTC
Results at
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s

Let me know if you want it ran on head as well.

New failures:

> + {"origin"=>"devel/javolution", "pkgname"=>"javolution-5.5.1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"games/gnubg", "pkgname"=>"gnubg-1.02.000_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"games/nethack32", "pkgname"=>"nethack32-3.2.3_6", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"graphics/cimg", "pkgname"=>"cimg-1.5.7_2,3", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"java/java3d", "pkgname"=>"java3d-1.5.2_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"lang/x10", "pkgname"=>"x10-2.2.1", "phase"=>"build", "errortype"=>"gcc4_error"}
> + {"origin"=>"math/rkward-kde4", "pkgname"=>"rkward-kde4-0.6.1_4", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"misc/freebsd-doc-bn", "pkgname"=>"bn-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-da", "pkgname"=>"da-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-el", "pkgname"=>"el-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-zh_cn", "pkgname"=>"zh_cn-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"net-mgmt/zenoss", "pkgname"=>"zenoss-3.1.0_1", "phase"=>"install/timeout", "errortype"=>"cluster"}
> + {"origin"=>"security/openvpn-auth-ldap", "pkgname"=>"openvpn-auth-ldap-2.0.3_4", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"www/mochiweb", "pkgname"=>"mochiweb-2.7.0", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"x11/kde4-runtime", "pkgname"=>"kde-runtime-4.12.2", "phase"=>"build", "errortype"=>"coredump"}


-- 
Regards,
Bryan Drewery
Comment 16 Bryan Drewery freebsd_committer 2014-03-02 18:55:35 UTC
Responsible Changed
From-To: bdrewery->gerald

exp-run done
Comment 17 gerald 2014-03-06 02:54:16 UTC
Thanks for running this -exp run!

On Sun, 2 Mar 2014, Bryan Drewery wrote:
> New failures:
> 
> + {"origin"=>"devel/javolution", "pkgname"=>"javolution-5.5.1", "phase"=>"build", "errortype"=>"cluster"}

This port does not depend on any GCC ports; looking at the log at
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/javolution-5.5.1.log
this appears to be a bug around openjdk.

> + {"origin"=>"games/gnubg", "pkgname"=>"gnubg-1.02.000_2", "phase"=>"build", "errortype"=>"cluster"}

This port does not depend on any GCC ports; looking at the log at
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/gnubg-1.02.000_2.log
this may be an issue with the old system assembler.

> + {"origin"=>"games/nethack32", "pkgname"=>"nethack32-3.2.3_6", "phase"=>"build", "errortype"=>"process_failed"}

This ports does not depend on any GCC ports; looking at the log at
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/nethack32-3.2.3_6.log
I see: ./makedefs: Command not found.

> + {"origin"=>"graphics/cimg", "pkgname"=>"cimg-1.5.7_2,3", "phase"=>"build", "errortype"=>"linker_error"}

http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/cimg-1.5.7_2,3.log
indicates a bug in the port.  

This is already broken on FreeBSD 10.x and 8.x, see
http://beefy2.isc.freebsd.org/bulk/10-release-amd64-RELENG10_0/latest/logs/errors/cimg-1.5.7_2,3.log
for an example.  And redports failed for me on 8.x.

I have contacted the maintainer about both.

> + {"origin"=>"java/java3d", "pkgname"=>"java3d-1.5.2_2", "phase"=>"build", "errortype"=>"cluster"}

This looks like another openjdk problem.  This port itself does not
depend on GCC.

> + {"origin"=>"lang/x10", "pkgname"=>"x10-2.2.1", "phase"=>"build", "errortype"=>"gcc4_error"}

http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/x10-2.2.1.log
indicates a bug in the port triggered by stricter C++ compliance in 
GCC 4.7.  Count = 1.

> + {"origin"=>"math/rkward-kde4", "pkgname"=>"rkward-kde4-0.6.1_4", "phase"=>"build", "errortype"=>"linker_error"}

This looks like a dependent port is built using lang/gcc for Fortran
support, but linking is not done via the system compiler.

How is this supposed to work?  Something to fix in the port.  Count = 2.

It's alrady broken on 10.x, by the way, so perhaps Count = 1.5. ;-)

> + {"origin"=>"misc/freebsd-doc-bn", "pkgname"=>"bn-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-da", "pkgname"=>"da-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-el", "pkgname"=>"el-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}
> + {"origin"=>"misc/freebsd-doc-zh_cn", "pkgname"=>"zh_cn-freebsd-doc-44037,1", "phase"=>"fetch", "errortype"=>"cluster"}

Negative.  These are _fetch_ bugs.  I decline any responsibility. :-)

> + {"origin"=>"net-mgmt/zenoss", "pkgname"=>"zenoss-3.1.0_1", "phase"=>"install/timeout", "errortype"=>"cluster"}

This uses the system compiler, not any of the GCC ports.  It fails
due to an installation timeout.

> + {"origin"=>"security/openvpn-auth-ldap", "pkgname"=>"openvpn-auth-ldap-2.0.3_4", "phase"=>"configure", "errortype"=>"configure_error"}

This looks like one of the few ports that require Objective-C, and an
old version thereof.

This needed to be addressed by forcing USE_GCC=4.6.  My patch towards
that ends was approved by the ports's maintainer and I committed it.

> + {"origin"=>"www/mochiweb", "pkgname"=>"mochiweb-2.7.0", "phase"=>"build", "errortype"=>"process_failed"}

Neither the port nor the logfile at
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/mochiweb-2.7.0.log
has any indication of any relation to the GCC ports.

> + {"origin"=>"x11/kde4-runtime", "pkgname"=>"kde-runtime-4.12.2", "phase"=>"build", "errortype"=>"coredump"}

http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/kde-runtime-4.12.2.log
indicates a segmentation fault.  The GCC ports are not used directly,
just pulled in from x11/kactivities.  Not sure there is any relationship, 
or this is a false positive, but I brought this this up with the KDE 
developers.


Based on the above, can I go ahead committing that update?

And work on the two issues marked with "Count =" above in parallel?
Or once we have addressed at least one of the two?

Gerald
Comment 18 Bryan Drewery freebsd_committer 2014-03-06 14:20:13 UTC
Agreed, many are false-positives, especially freebsd-doc-* and java
ones. Commit when you feel it is sufficiently safe. Thanks Gerald!

-- 
Regards,
Bryan Drewery
Comment 19 dfilter service freebsd_committer 2014-03-09 23:34:56 UTC
Author: gerald
Date: Sun Mar  9 23:34:47 2014
New Revision: 347709
URL: http://svnweb.freebsd.org/changeset/ports/347709
QAT: https://qat.redports.org/buildarchive/r347709/

Log:
  Fix the build with newer compilers (such as GCC 4.7).
  
  PR:		187395, 182136
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer (Jason Bacon <jwbacon@tds.net>)

Added:
  head/lang/x10/files/patch-x10.runtime-src-cpp-x10-utils-concurrent-AtomicReference.h   (contents, props changed)
  head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-basic_functions.h   (contents, props changed)
  head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-string_utils.h   (contents, props changed)

Added: head/lang/x10/files/patch-x10.runtime-src-cpp-x10-utils-concurrent-AtomicReference.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/x10/files/patch-x10.runtime-src-cpp-x10-utils-concurrent-AtomicReference.h	Sun Mar  9 23:34:47 2014	(r347709)
@@ -0,0 +1,11 @@
+--- ../x10.runtime/src-cpp/x10/util/concurrent/AtomicReference.h.orig	2014-03-09 15:50:47.000000000 +0100
++++ ../x10.runtime/src-cpp/x10/util/concurrent/AtomicReference.h	2014-03-09 15:51:15.000000000 +0100
+@@ -15,6 +15,7 @@
+ #include <x10aux/config.h>
+ #include <x10aux/ref.h>
+ #include <x10aux/RTT.h>
++#include <x10aux/basic_functions.h>
+ #include <x10aux/string_utils.h>
+ #include <x10aux/atomic_ops.h>
+ 
+

Added: head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-basic_functions.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-basic_functions.h	Sun Mar  9 23:34:47 2014	(r347709)
@@ -0,0 +1,54 @@
+--- ../x10.runtime/src-cpp/x10aux/basic_functions.h.orig	2014-03-09 14:42:17.000000000 +0100
++++ ../x10.runtime/src-cpp/x10aux/basic_functions.h	2014-03-09 15:44:47.000000000 +0100
+@@ -31,6 +31,27 @@
+ 
+ namespace x10aux {
+ 
++    /* prototypes */
++    inline x10_boolean struct_equals(const x10_double x,  const x10_double y); 
++    inline x10_boolean struct_equals(const x10_float x,   const x10_float y);
++    inline x10_boolean struct_equals(const x10_long x,    const x10_long y);
++    inline x10_boolean struct_equals(const x10_int x,     const x10_int y);
++    inline x10_boolean struct_equals(const x10_short x,   const x10_short y);
++    inline x10_boolean struct_equals(const x10_byte x,    const x10_byte y);
++    inline x10_boolean struct_equals(const x10_ulong x,   const x10_ulong y);
++    inline x10_boolean struct_equals(const x10_uint x,    const x10_uint y);
++    inline x10_boolean struct_equals(const x10_ushort x,  const x10_ushort y);
++    inline x10_boolean struct_equals(const x10_ubyte x,   const x10_ubyte y);
++    inline x10_boolean struct_equals(const x10_char x,    const x10_char y);
++    inline x10_boolean struct_equals(const x10_boolean x, const x10_boolean y);
++    template<class T, class U> inline x10_boolean struct_equals(T x, U y);
++    template<class T, class U> inline x10_boolean struct_equals(captured_ref_lval<T> x, U y);
++    template<class T, class U> inline x10_boolean struct_equals(T x, captured_ref_lval<U> y);
++    template<class T, class U> inline x10_boolean struct_equals(captured_ref_lval<T> x, captured_ref_lval<U> y);
++    template<class T, class U> inline x10_boolean struct_equals(captured_struct_lval<T> x, U y);
++    template<class T, class U> inline x10_boolean struct_equals(T x, captured_struct_lval<U> y);
++    template<class T, class U> inline x10_boolean struct_equals(captured_struct_lval<T> x, captured_struct_lval<U> y);
++
+     /******* type_name ********/
+ 
+     template<class T> inline ref<x10::lang::String> type_name(ref<T> x) {
+@@ -362,6 +383,23 @@
+ 
+     ref<x10::lang::String> to_string(x10_char v);
+ 
++    /*
++     * Wrapers around to_string to translate null to "null"
++     */
++    template<class T> ref<x10::lang::String> safe_to_string(ref<T> v) {
++        if (v.isNull()) return string_utils::lit("null");
++        return to_string(v);
++    }
++    template<class T> ref<x10::lang::String> safe_to_string(captured_ref_lval<T> v) {
++        return safe_to_string(*v);
++    }
++    template<class T> ref<x10::lang::String> safe_to_string(captured_struct_lval<T> v) {
++        return to_string(*v);
++    }
++    template<class T> ref<x10::lang::String> safe_to_string(T v) {
++        return to_string(v);
++    }
++
+ 
+     /******* zeroValue ********/
+     template<class T> struct Zero {

Added: head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-string_utils.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/x10/files/patch-x10.runtime-src-cpp-x10aux-string_utils.h	Sun Mar  9 23:34:47 2014	(r347709)
@@ -0,0 +1,27 @@
+--- ../x10.runtime/src-cpp/x10aux/string_utils.h.orig	2014-03-09 14:42:24.000000000 +0100
++++ ../x10.runtime/src-cpp/x10aux/string_utils.h	2014-03-09 14:45:00.000000000 +0100
+@@ -38,23 +38,6 @@
+         char *strdup(const char*);
+         char *strndup(const char*, x10_int len);
+     }
+-
+-    /*
+-     * Wrapers around to_string to translate null to "null"
+-     */
+-    template<class T> ref<x10::lang::String> safe_to_string(ref<T> v) {
+-        if (v.isNull()) return string_utils::lit("null");
+-        return to_string(v);
+-    }
+-    template<class T> ref<x10::lang::String> safe_to_string(captured_ref_lval<T> v) {
+-        return safe_to_string(*v);
+-    }
+-    template<class T> ref<x10::lang::String> safe_to_string(captured_struct_lval<T> v) {
+-        return to_string(*v);
+-    }
+-    template<class T> ref<x10::lang::String> safe_to_string(T v) {
+-        return to_string(v);
+-    }
+ }
+ 
+     
+
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 20 gerald 2014-03-10 00:40:26 UTC
On Thu, 6 Mar 2014, Gerald Pfeifer wrote:
>> [cimg]
> http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/cimg-1.5.7_2,3.log
> indicates a bug in the port.  
> 
> This is already broken on FreeBSD 10.x and 8.x, see
> http://beefy2.isc.freebsd.org/bulk/10-release-amd64-RELENG10_0/latest/logs/errors/cimg-1.5.7_2,3.log
> for an example.  And redports failed for me on 8.x.
> 
> I have contacted the maintainer about both.

Tijl and Thierry have been working on this, and it should be resolved.

>> [x10]
> http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/x10-2.2.1.log
> indicates a bug in the port triggered by stricter C++ compliance in 
> GCC 4.7.  Count = 1.

I just comitted a fix worked out by Christoph.

>> [rkward-kde4]
> This looks like a dependent port is built using lang/gcc for Fortran
> support, but linking is not done via the system compiler.
> 
> How is this supposed to work?  Something to fix in the port.  Count = 2.
> 
> It's alrady broken on 10.x, by the way, so perhaps Count = 1.5. ;-)

WIP by Thierry.

>> [kde4-runtime]
> http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_182136_gcc47/2014-03-01_21h13m28s/logs/errors/kde-runtime-4.12.2.log
> indicates a segmentation fault.  The GCC ports are not used directly,
> just pulled in from x11/kactivities.  Not sure there is any relationship, 
> or this is a false positive, but I brought this this up with the KDE 
> developers.

According to makc@ "There is a problem (see ports/185164), but it's not 
related to your changes".

So, we're good to go and I plan on committing the update in the next
days when I have some time _after_ the commit available in front of
a computer to address any questions or issues possibly popping up.

Thanks for your help with those -exp runs, Bryan!

Gerald
Comment 21 dfilter service freebsd_committer 2014-03-10 20:41:18 UTC
Author: gerald
Date: Mon Mar 10 20:41:10 2014
New Revision: 347808
URL: http://svnweb.freebsd.org/changeset/ports/347808
QAT: https://qat.redports.org/buildarchive/r347808/

Log:
  Update the default version of GCC used in the Ports Collection from
  GCC 4.6.4 to GCC 4.7.3.  This entails updating the lang/gcc port as
  well as changing the default in Mk/bsd.default-versions.mk.
  
  This adds powerpc64 as a supported architecture (and removes ia64,
  though it can be supported by manually installing lang/gcc48).
  
  New binaries %%GNU_HOST%%-gcc-ar47, %%GNU_HOST%%-gcc-nm47, and
  %%GNU_HOST%%-gcc-ranlib47 are provided to support link-time
  optimization (LTO) which scales significantly better.
  
  And it adds support for indirect functions (IFUNCS), experimental
  support for transactional memory in the compiler as well as a supporting
  run-time library called libitm, a new string length optimization pass,
  and support for atomic operations specifying the C++11/C11 memory model.
  
  Version 3.1 of the OpenMP specification is now supported for the C,
  C++, and Fortran compilers.
  
  GCC accepts the options -std=c11 and -std=gnu11 for the C11 revision
  of the ISO C standard which inlcude support for unicode strings,
  nonreturning functions (_Noreturn and <stdnoreturn.h>), alignment
  support (_Alignas, _Alignof, max_align_t, <stdalign.h>), and a
  __builtin_complex built-in function.
  
  The C++ frontend now accepts the -std=c++11, -std=gnu++11, and
  -Wc++11-compat options and implements many C++11 features of the
  language including extended friends syntax, explicit override
  control, non-static data member initializers, user-defined literals,
  alias declarations, delegating constructors, atomic classes, and more.
  
  The C++ standard library and Fortran frontend have received many
  improvements.  See http://gcc.gnu.org/gcc-4.7/changes.html for an
  extense list of changes; http://gcc.gnu.org/gcc-4.7/porting_to.html
  for information on how to port to that new version.
  
  PR:		182136
  Supported by:	Christoph Moench-Tegeder <cmt@burggraben.net> (fixing many ports)
  Tested by:	bdrewery (two -exp runs)

Deleted:
  head/lang/gcc/files/patch-unwind-ia64.h
Modified:
  head/Mk/bsd.default-versions.mk
  head/Mk/bsd.gcc.mk
  head/lang/gcc/Makefile
  head/lang/gcc/distinfo
  head/lang/gcc/pkg-descr
  head/lang/gcc/pkg-plist
  head/lang/gcc47/Makefile

Modified: head/Mk/bsd.default-versions.mk
==============================================================================
--- head/Mk/bsd.default-versions.mk	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/Mk/bsd.default-versions.mk	Mon Mar 10 20:41:10 2014	(r347808)
@@ -20,7 +20,7 @@ ${_l:U}_DEFAULT=	${lang:C/.*=//g}
 
 APACHE_DEFAULT?=	2.2
 FPC_DEFAULT?=		2.6.2
-GCC_DEFAULT?=		4.6
+GCC_DEFAULT?=		4.7
 LUA_DEFAULT?=		5.2
 MYSQL_DEFAULT?=		5.5
 PERL5_DEFAULT?=		5.16

Modified: head/Mk/bsd.gcc.mk
==============================================================================
--- head/Mk/bsd.gcc.mk	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/Mk/bsd.gcc.mk	Mon Mar 10 20:41:10 2014	(r347808)
@@ -19,7 +19,7 @@
 #
 # Examples:
 #   USE_GCC=	yes			# port requires a current version of GCC
-#							# (4.6 as of today, subject to change).
+#							# (4.7 as of today, subject to change).
 #   USE_GCC=	any			# port requires GCC 4.2 or later.
 #   USE_GCC=	4.8+		# port requires GCC 4.8 or later.
 #   USE_GCC=	4.8			# port requires GCC 4.8.

Modified: head/lang/gcc/Makefile
==============================================================================
--- head/lang/gcc/Makefile	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/lang/gcc/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
@@ -2,13 +2,13 @@
 # $FreeBSD$
 
 PORTNAME=	gcc
-PORTVERSION=	4.6.4
+PORTVERSION=	4.7.3
 CATEGORIES=	lang java
 MASTER_SITES=	${MASTER_SITE_GCC}
 MASTER_SITE_SUBDIR=	releases/gcc-${DISTVERSION}
 
 MAINTAINER=	gerald@FreeBSD.org
-COMMENT=	GNU Compiler Collection 4.6
+COMMENT=	GNU Compiler Collection 4.7
 
 LICENSE=	GPLv3 GPLv3RLE
 LICENSE_COMB=	multi
@@ -23,14 +23,14 @@ RUN_DEPENDS+=	${LOCALBASE}/bin/as:${PORT
 BUILD_DEPENDS+=	runtest:${PORTSDIR}/misc/dejagnu
 .endif
 
-CONFLICTS=	gcc46*
+CONFLICTS=	gcc47*
 
 # DISTVERSION relates to downloads, GCC_VERSION and SUFFIX to names
 # of executables and directories once installed.
 DISTVERSION=	${PORTVERSION}
 GCC_VERSION=	${PORTVERSION:C/(.+)\.[0-9]{8}/\1/}
 SUFFIX=		${PORTVERSION:C/([0-9]+).([0-9]+).*/\1\2/}
-ONLY_FOR_ARCHS=	amd64 i386 ia64 powerpc sparc64
+ONLY_FOR_ARCHS=	amd64 i386 powerpc powerpc64 sparc64
 USES=		gmake iconv perl5
 USE_BINUTILS=	yes
 USE_BZIP2=	yes
@@ -55,6 +55,10 @@ CONFIGURE_TARGET=	x86_64-portbld-${OPSYS
 CONFIGURE_TARGET=	${ARCH}-portbld-${OPSYS:L}${OSREL}
 .endif
 
+.if ${ARCH} == powerpc64
+CONFIGURE_ENV+=	UNAME_m="powerpc64"
+.endif
+
 LANGUAGES:=	c,c++,objc,fortran
 SRCDIR=		${WRKDIR}/gcc-${DISTVERSION}
 WRKSRC=		${WRKDIR}/build
@@ -67,6 +71,7 @@ CONFIGURE_ARGS+=--disable-bootstrap
 ALL_TARGET=	bootstrap-lean
 .endif
 CONFIGURE_ARGS+=--disable-nls \
+		--enable-gnu-indirect-function \
 		--libdir=${TARGLIB} \
 		--libexecdir=${LIBEXEC} \
 		--program-suffix=${SUFFIX} \
@@ -91,7 +96,8 @@ INFO=		gcc${SUFFIX}/cpp \
 		gcc${SUFFIX}/libgomp
 # Release tarballs (as opposed to snapshots) always carry this.
 #.if ${ARCH} != "ia64" && ${ARCH} != "powerpc" && ${ARCH} != "sparc64"
-INFO+=		gcc${SUFFIX}/libquadmath
+INFO+=		gcc${SUFFIX}/libquadmath \
+		gcc${SUFFIX}/libitm
 #.endif
 
 .if ${PORT_OPTIONS:MJAVA}

Modified: head/lang/gcc/distinfo
==============================================================================
--- head/lang/gcc/distinfo	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/lang/gcc/distinfo	Mon Mar 10 20:41:10 2014	(r347808)
@@ -1,2 +1,2 @@
-SHA256 (gcc-4.6.4.tar.bz2) = 35af16afa0b67af9b8eb15cafb76d2bc5f568540552522f5dc2c88dd45d977e8
-SIZE (gcc-4.6.4.tar.bz2) = 72006076
+SHA256 (gcc-4.7.3.tar.bz2) = 2f7c37eb4fc14422ff2358a9ef59c974a75ab41204ef0e49fc34ab1d8981a9c3
+SIZE (gcc-4.7.3.tar.bz2) = 82904224

Modified: head/lang/gcc/pkg-descr
==============================================================================
--- head/lang/gcc/pkg-descr	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/lang/gcc/pkg-descr	Mon Mar 10 20:41:10 2014	(r347808)
@@ -1,11 +1,11 @@
 GCC, the GNU Compiler Collection, supports a number of languages.  This
-port installs the C, C++, Fortran and Java front ends as gcc46, g++46,
-gfortran46, and gcj46, respectively.
+port installs the C, C++, Fortran and Java front ends as gcc47, g++47,
+gfortran47, and gcj47, respectively.
 
-It can be used interchangibly with the lang/gcc46 port which tracks
+It can be used interchangibly with the lang/gcc47 port which tracks
 weekly upstream snapshots whereas this port will be updated less
 frequently, mostly in sync with upstream releases, and will move to
-lang/gcc47 and later over time.
+lang/gcc48 and later over time.
 
 WWW: http://gcc.gnu.org/
 

Modified: head/lang/gcc/pkg-plist
==============================================================================
--- head/lang/gcc/pkg-plist	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/lang/gcc/pkg-plist	Mon Mar 10 20:41:10 2014	(r347808)
@@ -2,11 +2,17 @@ bin/%%GNU_HOST%%-c++%%SUFFIX%%
 bin/%%GNU_HOST%%-g++%%SUFFIX%%
 bin/%%GNU_HOST%%-gcc%%SUFFIX%%
 bin/%%GNU_HOST%%-gcc-%%GCC_VERSION%%
+bin/%%GNU_HOST%%-gcc-ar%%SUFFIX%%
+bin/%%GNU_HOST%%-gcc-nm%%SUFFIX%%
+bin/%%GNU_HOST%%-gcc-ranlib%%SUFFIX%%
 bin/%%GNU_HOST%%-gfortran%%SUFFIX%%
 bin/c++%%SUFFIX%%
 bin/cpp%%SUFFIX%%
 bin/g++%%SUFFIX%%
 bin/gcc%%SUFFIX%%
+bin/gcc-ar%%SUFFIX%%
+bin/gcc-nm%%SUFFIX%%
+bin/gcc-ranlib%%SUFFIX%%
 bin/gcov%%SUFFIX%%
 bin/gfortran%%SUFFIX%%
 info/gcc%%SUFFIX%%/dir
@@ -47,7 +53,7 @@ share/gcc-%%GCC_VERSION%%/python/libstdc
 %%JAVA%%bin/jcf-dump%%SUFFIX%%
 %%JAVA%%bin/jv-convert%%SUFFIX%%
 %%JAVA%%bin/rebuild-gcj-db%%SUFFIX%%
-%%JAVA%%libdata/pkgconfig/libgcj-4.6.pc
+%%JAVA%%libdata/pkgconfig/libgcj-4.7.pc
 %%JAVA%%man/man1/aot-compile%%SUFFIX%%.1.gz
 %%JAVA%%man/man1/gappletviewer%%SUFFIX%%.1.gz
 %%JAVA%%man/man1/gc-analyze%%SUFFIX%%.1.gz

Modified: head/lang/gcc47/Makefile
==============================================================================
--- head/lang/gcc47/Makefile	Mon Mar 10 20:00:49 2014	(r347807)
+++ head/lang/gcc47/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
@@ -24,6 +24,8 @@ RUN_DEPENDS+=	${LOCALBASE}/bin/as:${PORT
 BUILD_DEPENDS+=	runtest:${PORTSDIR}/misc/dejagnu
 .endif
 
+CONFLICTS=	gcc-4.7.*
+
 # DISTVERSION relates to downloads, GCC_VERSION and SUFFIX to names
 # of executables and directories once installed.  A PORTVERSION of
 # 4.Y.2.s20130808 results in values of 4.Y-20130808, 4.Y.2, and 4Y
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 22 dfilter service freebsd_committer 2014-03-10 20:55:53 UTC
Author: gerald
Date: Mon Mar 10 20:55:20 2014
New Revision: 347809
URL: http://svnweb.freebsd.org/changeset/ports/347809
QAT: https://qat.redports.org/buildarchive/r347809/

Log:
  Update the default version of GCC used in the Ports Collection from
  GCC 4.6.4 to GCC 4.7.3.  This entails updating the lang/gcc port as
  well as changing the default in Mk/bsd.default-versions.mk.
  
  Part II, Bump PORTREVISIONs.
  
  PR:		182136
  Supported by:	Christoph Moench-Tegeder <cmt@burggraben.net> (fixing many ports)
  Tested by:	bdrewery (two -exp runs)

Modified:
  head/archivers/hs-tar/Makefile
  head/archivers/hs-zip-archive/Makefile
  head/archivers/hs-zlib-bindings/Makefile
  head/archivers/hs-zlib-conduit/Makefile
  head/archivers/hs-zlib-enum/Makefile
  head/archivers/hs-zlib/Makefile
  head/astro/R-cran-maptools/Makefile
  head/astro/astrometry/Makefile
  head/astro/nightfall/Makefile
  head/astro/py-RO/Makefile
  head/astro/py-aipy/Makefile
  head/astro/py-astLib/Makefile
  head/astro/py-pyfits/Makefile
  head/astro/xtide/Makefile
  head/audio/beast/Makefile
  head/audio/gramofile/Makefile
  head/audio/hs-ALUT/Makefile
  head/audio/hs-OpenAL/Makefile
  head/audio/hs-libmpd/Makefile
  head/audio/mbox/Makefile
  head/audio/py-karaoke/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/smasher/Makefile
  head/audio/squash/Makefile
  head/benchmarks/himenobench/Makefile
  head/benchmarks/hpl/Makefile
  head/benchmarks/hs-criterion/Makefile
  head/benchmarks/imb/Makefile
  head/benchmarks/mdtest/Makefile
  head/benchmarks/octave-forge-benchmark/Makefile
  head/biology/crux/Makefile
  head/biology/molden/Makefile
  head/biology/ortep3/Makefile
  head/biology/platon/Makefile
  head/biology/plink/Makefile
  head/biology/psi88/Makefile
  head/biology/py-biopython/Makefile
  head/biology/pycogent/Makefile
  head/biology/pyfasta/Makefile
  head/biology/seqan/Makefile
  head/biology/t_coffee/Makefile
  head/biology/tinker/Makefile
  head/cad/calculix/Makefile
  head/cad/feappv/Makefile
  head/cad/gmsh-occ/Makefile
  head/cad/gmsh/Makefile
  head/cad/gspiceui/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/pdnmesh/Makefile
  head/cad/sceptre/Makefile
  head/cad/scotch/Makefile
  head/cad/tochnog/Makefile
  head/comms/dabstick-radio/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/ems-flasher/Makefile
  head/comms/gmfsk/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/wsjt/Makefile
  head/comms/wspr/Makefile
  head/converters/R-cran-RJSONIO/Makefile
  head/converters/R-cran-rjson/Makefile
  head/converters/hs-aeson/Makefile
  head/converters/hs-dataenc/Makefile
  head/converters/hs-json/Makefile
  head/databases/R-cran-DBI/Makefile
  head/databases/R-cran-RMySQL/Makefile
  head/databases/R-cran-RSQLite.extfuns/Makefile
  head/databases/R-cran-RSQLite/Makefile
  head/databases/R-cran-sqldf/Makefile
  head/databases/grass/Makefile
  head/databases/hs-mysql/Makefile
  head/databases/hs-persistent-sqlite/Makefile
  head/databases/hs-persistent-template/Makefile
  head/databases/hs-persistent/Makefile
  head/deskutils/cycle/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/labyrinth/Makefile
  head/deskutils/notify-osd/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/taskcoach/Makefile
  head/deskutils/wammu/Makefile
  head/devel/R-cran-Defaults/Makefile
  head/devel/R-cran-Hmisc/Makefile
  head/devel/R-cran-RUnit/Makefile
  head/devel/R-cran-Rcpp/Makefile
  head/devel/R-cran-bitops/Makefile
  head/devel/R-cran-caTools/Makefile
  head/devel/R-cran-caret/Makefile
  head/devel/R-cran-chron/Makefile
  head/devel/R-cran-foreach/Makefile
  head/devel/R-cran-gbm/Makefile
  head/devel/R-cran-gdata/Makefile
  head/devel/R-cran-glmnet/Makefile
  head/devel/R-cran-gsubfn/Makefile
  head/devel/R-cran-gtools/Makefile
  head/devel/R-cran-iterators/Makefile
  head/devel/R-cran-itertools/Makefile
  head/devel/R-cran-memoise/Makefile
  head/devel/R-cran-plyr/Makefile
  head/devel/R-cran-proto/Makefile
  head/devel/R-cran-randomForest/Makefile
  head/devel/R-cran-reshape/Makefile
  head/devel/R-cran-reshape2/Makefile
  head/devel/R-cran-vcd/Makefile
  head/devel/boaconstructor/Makefile
  head/devel/clanlib/Makefile
  head/devel/cocaine-core/Makefile
  head/devel/covtool/Makefile
  head/devel/cvs2darcs/Makefile
  head/devel/cx_Freeze/Makefile
  head/devel/drpython/Makefile
  head/devel/eris/Makefile
  head/devel/flowdesigner/Makefile
  head/devel/freeocl/Makefile
  head/devel/hs-BNFC/Makefile
  head/devel/hs-Boolean/Makefile
  head/devel/hs-ConfigFile/Makefile
  head/devel/hs-HUnit/Makefile
  head/devel/hs-IORefCAS/Makefile
  head/devel/hs-IfElse/Makefile
  head/devel/hs-List/Makefile
  head/devel/hs-MaybeT/Makefile
  head/devel/hs-MemoTrie/Makefile
  head/devel/hs-MissingH/Makefile
  head/devel/hs-MonadCatchIO-mtl/Makefile
  head/devel/hs-MonadCatchIO-transformers/Makefile
  head/devel/hs-MonadRandom/Makefile
  head/devel/hs-ObjectName/Makefile
  head/devel/hs-PSQueue/Makefile
  head/devel/hs-QuickCheck/Makefile
  head/devel/hs-ReadArgs/Makefile
  head/devel/hs-SafeSemaphore/Makefile
  head/devel/hs-StateVar/Makefile
  head/devel/hs-Stream/Makefile
  head/devel/hs-Tensor/Makefile
  head/devel/hs-TypeCompose/Makefile
  head/devel/hs-abstract-deque/Makefile
  head/devel/hs-abstract-par/Makefile
  head/devel/hs-activehs-base/Makefile
  head/devel/hs-alex/Makefile
  head/devel/hs-ansi-terminal/Makefile
  head/devel/hs-ansi-wl-pprint/Makefile
  head/devel/hs-arrows/Makefile
  head/devel/hs-asn1-data/Makefile
  head/devel/hs-asn1-types/Makefile
  head/devel/hs-async/Makefile
  head/devel/hs-attempt/Makefile
  head/devel/hs-base-unicode-symbols/Makefile
  head/devel/hs-base16-bytestring/Makefile
  head/devel/hs-base64-bytestring/Makefile
  head/devel/hs-base64-conduit/Makefile
  head/devel/hs-basic-prelude/Makefile
  head/devel/hs-bifunctors/Makefile
  head/devel/hs-bits-atomic/Makefile
  head/devel/hs-blaze-builder-conduit/Makefile
  head/devel/hs-blaze-builder-enumerator/Makefile
  head/devel/hs-blaze-builder/Makefile
  head/devel/hs-blaze-textual/Makefile
  head/devel/hs-bloomfilter/Makefile
  head/devel/hs-bsd-sysctl/Makefile
  head/devel/hs-byteorder/Makefile
  head/devel/hs-bytestring-nums/Makefile
  head/devel/hs-bytestring-show/Makefile
  head/devel/hs-c2hs/Makefile
  head/devel/hs-cabal-install/Makefile
  head/devel/hs-cereal/Makefile
  head/devel/hs-checkers/Makefile
  head/devel/hs-classy-prelude-conduit/Makefile
  head/devel/hs-classy-prelude/Makefile
  head/devel/hs-cmdargs/Makefile
  head/devel/hs-conduit/Makefile
  head/devel/hs-configurator/Makefile
  head/devel/hs-convertible/Makefile
  head/devel/hs-cpphs/Makefile
  head/devel/hs-darcs/Makefile
  head/devel/hs-data-default-class/Makefile
  head/devel/hs-data-default-instances-base/Makefile
  head/devel/hs-data-default-instances-containers/Makefile
  head/devel/hs-data-default-instances-dlist/Makefile
  head/devel/hs-data-default-instances-old-locale/Makefile
  head/devel/hs-data-default/Makefile
  head/devel/hs-data-pprint/Makefile
  head/devel/hs-date-cache/Makefile
  head/devel/hs-datetime/Makefile
  head/devel/hs-directory-tree/Makefile
  head/devel/hs-dlist/Makefile
  head/devel/hs-edit-distance/Makefile
  head/devel/hs-either/Makefile
  head/devel/hs-enumerator/Makefile
  head/devel/hs-errors/Makefile
  head/devel/hs-extensible-exceptions/Makefile
  head/devel/hs-failure/Makefile
  head/devel/hs-fast-logger/Makefile
  head/devel/hs-fgl/Makefile
  head/devel/hs-file-embed/Makefile
  head/devel/hs-filemanip/Makefile
  head/devel/hs-filestore/Makefile
  head/devel/hs-filesystem-conduit/Makefile
  head/devel/hs-fsnotify/Makefile
  head/devel/hs-gconf/Makefile
  head/devel/hs-generic-deriving/Makefile
  head/devel/hs-geniplate/Makefile
  head/devel/hs-ghc-events/Makefile
  head/devel/hs-ghc-mtl/Makefile
  head/devel/hs-ghc-paths/Makefile
  head/devel/hs-gio/Makefile
  head/devel/hs-git-annex/Makefile
  head/devel/hs-glade/Makefile
  head/devel/hs-glib/Makefile
  head/devel/hs-gtk2hs-buildtools/Makefile
  head/devel/hs-haddock/Makefile
  head/devel/hs-happy/Makefile
  head/devel/hs-hashable/Makefile
  head/devel/hs-hashed-storage/Makefile
  head/devel/hs-hashtables/Makefile
  head/devel/hs-haskeline/Makefile
  head/devel/hs-haskell-platform/Makefile
  head/devel/hs-haskell-src-exts/Makefile
  head/devel/hs-haskell-src/Makefile
  head/devel/hs-hasktags/Makefile
  head/devel/hs-hastache/Makefile
  head/devel/hs-hinotify/Makefile
  head/devel/hs-hint/Makefile
  head/devel/hs-hlibev/Makefile
  head/devel/hs-hlint/Makefile
  head/devel/hs-hoogle/Makefile
  head/devel/hs-hslogger/Makefile
  head/devel/hs-hspec-expectations/Makefile
  head/devel/hs-hspec/Makefile
  head/devel/hs-kqueue/Makefile
  head/devel/hs-language-c/Makefile
  head/devel/hs-language-javascript/Makefile
  head/devel/hs-largeword/Makefile
  head/devel/hs-lazysmallcheck/Makefile
  head/devel/hs-lens/Makefile
  head/devel/hs-lifted-base/Makefile
  head/devel/hs-logict/Makefile
  head/devel/hs-mmap/Makefile
  head/devel/hs-mmorph/Makefile
  head/devel/hs-monad-control/Makefile
  head/devel/hs-monad-logger/Makefile
  head/devel/hs-monad-par-extras/Makefile
  head/devel/hs-monad-par/Makefile
  head/devel/hs-mtl/Makefile
  head/devel/hs-mueval/Makefile
  head/devel/hs-murmur-hash/Makefile
  head/devel/hs-optparse-applicative/Makefile
  head/devel/hs-parallel/Makefile
  head/devel/hs-pcre-light/Makefile
  head/devel/hs-pool-conduit/Makefile
  head/devel/hs-primitive/Makefile
  head/devel/hs-profunctor-extras/Makefile
  head/devel/hs-profunctors/Makefile
  head/devel/hs-project-template/Makefile
  head/devel/hs-quickcheck-io/Makefile
  head/devel/hs-random/Makefile
  head/devel/hs-ranges/Makefile
  head/devel/hs-readline/Makefile
  head/devel/hs-reflection/Makefile
  head/devel/hs-resource-pool/Makefile
  head/devel/hs-resourcet/Makefile
  head/devel/hs-safe/Makefile
  head/devel/hs-setenv/Makefile
  head/devel/hs-show/Makefile
  head/devel/hs-silently/Makefile
  head/devel/hs-simple-reflect/Makefile
  head/devel/hs-smallcheck/Makefile
  head/devel/hs-split/Makefile
  head/devel/hs-stm/Makefile
  head/devel/hs-strict/Makefile
  head/devel/hs-syb-with-class-instances-text/Makefile
  head/devel/hs-syb-with-class/Makefile
  head/devel/hs-syb/Makefile
  head/devel/hs-system-fileio/Makefile
  head/devel/hs-system-filepath/Makefile
  head/devel/hs-tagged/Makefile
  head/devel/hs-temporary/Makefile
  head/devel/hs-terminfo/Makefile
  head/devel/hs-test-framework-hunit/Makefile
  head/devel/hs-test-framework-quickcheck2/Makefile
  head/devel/hs-test-framework/Makefile
  head/devel/hs-testpack/Makefile
  head/devel/hs-text/Makefile
  head/devel/hs-threads/Makefile
  head/devel/hs-threadscope/Makefile
  head/devel/hs-time-compat/Makefile
  head/devel/hs-timezone-olson/Makefile
  head/devel/hs-timezone-series/Makefile
  head/devel/hs-transformers-base/Makefile
  head/devel/hs-transformers/Makefile
  head/devel/hs-unamb/Makefile
  head/devel/hs-uniplate/Makefile
  head/devel/hs-unix-compat/Makefile
  head/devel/hs-unix-time/Makefile
  head/devel/hs-unordered-containers/Makefile
  head/devel/hs-utf8-light/Makefile
  head/devel/hs-utf8-string/Makefile
  head/devel/hs-utility-ht/Makefile
  head/devel/hs-uuagc-bootstrap/Makefile
  head/devel/hs-uuagc-cabal/Makefile
  head/devel/hs-uuagc/Makefile
  head/devel/hs-uuid/Makefile
  head/devel/hs-uulib/Makefile
  head/devel/hs-vault/Makefile
  head/devel/hs-vector-algorithms/Makefile
  head/devel/hs-vector/Makefile
  head/devel/hs-void/Makefile
  head/devel/hs-word8/Makefile
  head/devel/libxs/Makefile
  head/devel/lockfree-malloc/Makefile
  head/devel/mercator/Makefile
  head/devel/nemiver/Makefile
  head/devel/ocaml-lacaml/Makefile
  head/devel/p5-Test-Parser/Makefile
  head/devel/pure-gen/Makefile
  head/devel/pure-stldict/Makefile
  head/devel/pure-stllib/Makefile
  head/devel/py-cclib/Makefile
  head/devel/py-game/Makefile
  head/devel/py-itools/Makefile
  head/devel/py-ocempgui/Makefile
  head/devel/py-robotframework-ride/Makefile
  head/devel/py-tables/Makefile
  head/devel/py-traits/Makefile
  head/devel/rhtvision/Makefile
  head/devel/ros-common_msgs/Makefile
  head/devel/ros-documentation/Makefile
  head/devel/ros-nxt/Makefile
  head/devel/ros-rx/Makefile
  head/devel/ros_comm/Makefile
  head/devel/ros_tutorials/Makefile
  head/devel/runsnakerun/Makefile
  head/devel/smv/Makefile
  head/devel/sourcenav/Makefile
  head/devel/winpdb/Makefile
  head/devel/wxGlade/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/setedit/Makefile
  head/editors/spe/Makefile
  head/emulators/catapult/Makefile
  head/emulators/fceux/Makefile
  head/emulators/gxemul/Makefile
  head/emulators/higan/Makefile
  head/emulators/openmsx/Makefile
  head/emulators/q4wine/Makefile
  head/finance/R-cran-PerformanceAnalytics/Makefile
  head/finance/R-cran-RFinanceYJ/Makefile
  head/finance/R-cran-TTR/Makefile
  head/finance/R-cran-ccgarch/Makefile
  head/finance/R-cran-fBasics/Makefile
  head/finance/R-cran-fGarch/Makefile
  head/finance/R-cran-gmm/Makefile
  head/finance/R-cran-lmtest/Makefile
  head/finance/R-cran-plm/Makefile
  head/finance/R-cran-quantmod/Makefile
  head/finance/R-cran-strucchange/Makefile
  head/finance/R-cran-timeDate/Makefile
  head/finance/R-cran-timeSeries/Makefile
  head/finance/R-cran-tseries/Makefile
  head/finance/R-cran-urca/Makefile
  head/finance/R-cran-vars/Makefile
  head/french/alphabet_sounds_fr/Makefile
  head/french/aster/Makefile
  head/french/eficas/Makefile
  head/french/homard/Makefile
  head/french/med/Makefile
  head/ftp/R-cran-RCurl/Makefile
  head/ftp/ftpcube/Makefile
  head/ftp/hs-curl/Makefile
  head/games/4stattack/Makefile
  head/games/barbie_seahorse_adventures/Makefile
  head/games/bombz/Makefile
  head/games/bouncy/Makefile
  head/games/bubbros/Makefile
  head/games/childsplay/Makefile
  head/games/childsplay_plugins/Makefile
  head/games/critterding/Makefile
  head/games/dcross/Makefile
  head/games/duckmaze/Makefile
  head/games/ember/Makefile
  head/games/endgame-singularity/Makefile
  head/games/farblazer/Makefile
  head/games/fgrun/Makefile
  head/games/fretsonfire/Makefile
  head/games/funnyboat/Makefile
  head/games/galaxymage/Makefile
  head/games/glchess/Makefile
  head/games/iceicepenguin/Makefile
  head/games/jools/Makefile
  head/games/krank/Makefile
  head/games/lugaru/Makefile
  head/games/magicor/Makefile
  head/games/monsterz/Makefile
  head/games/mopesnake/Makefile
  head/games/nelly/Makefile
  head/games/ninix-aya/Makefile
  head/games/oneisenough/Makefile
  head/games/openyahtzee/Makefile
  head/games/outerspace/Makefile
  head/games/pathological/Makefile
  head/games/py-mnemosyne/Makefile
  head/games/pyawale/Makefile
  head/games/pycadia/Makefile
  head/games/pydance/Makefile
  head/games/pykawari/Makefile
  head/games/pyspacewar/Makefile
  head/games/pysycache-lang/Makefile
  head/games/pysycache-themes/Makefile
  head/games/pysycache/Makefile
  head/games/pythonsudoku/Makefile
  head/games/pytowerdefense/Makefile
  head/games/schiff/Makefile
  head/games/schwarzweiss/Makefile
  head/games/sdl_scavenger/Makefile
  head/games/sdlroids/Makefile
  head/games/solarwolf/Makefile
  head/games/super_mario_bros_python/Makefile
  head/games/super_methane_brothers/Makefile
  head/games/syobon/Makefile
  head/games/traingame/Makefile
  head/games/tuxfighter/Makefile
  head/games/twitch/Makefile
  head/games/whichwayisup/Makefile
  head/games/wizznic/Makefile
  head/games/xonotic/Makefile
  head/games/zephulor/Makefile
  head/german/bsdforen-firefox-searchplugin/Makefile
  head/german/bsdgroup-firefox-searchplugin/Makefile
  head/german/mediathek/Makefile
  head/graphics/R-cran-GDD/Makefile
  head/graphics/R-cran-RColorBrewer/Makefile
  head/graphics/R-cran-colorspace/Makefile
  head/graphics/R-cran-diagram/Makefile
  head/graphics/R-cran-dichromat/Makefile
  head/graphics/R-cran-ggplot2/Makefile
  head/graphics/R-cran-munsell/Makefile
  head/graphics/R-cran-pixmap/Makefile
  head/graphics/R-cran-png/Makefile
  head/graphics/R-cran-rgdal/Makefile
  head/graphics/R-cran-rtiff/Makefile
  head/graphics/R-cran-scales/Makefile
  head/graphics/R-cran-shape/Makefile
  head/graphics/cimg/Makefile
  head/graphics/darktable/Makefile
  head/graphics/dataplot/Makefile
  head/graphics/enblend/Makefile
  head/graphics/gdal-grass/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/glfw/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gplot/Makefile
  head/graphics/grads/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hs-HGL/Makefile
  head/graphics/hs-cairo/Makefile
  head/graphics/hs-dia-base/Makefile
  head/graphics/hs-dia-functions/Makefile
  head/graphics/hs-soegtk/Makefile
  head/graphics/hs-svgcairo/Makefile
  head/graphics/hugin-devel/Makefile
  head/graphics/hugin/Makefile
  head/graphics/iccexamin/Makefile
  head/graphics/imgv/Makefile
  head/graphics/impressive/Makefile
  head/graphics/k3d/Makefile
  head/graphics/mahotas/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/ocrfeeder/Makefile
  head/graphics/opendx/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/p5-Chart-Graph/Makefile
  head/graphics/p5-PGPLOT/Makefile
  head/graphics/pgplot/Makefile
  head/graphics/py-opencv/Makefile
  head/graphics/py-opengl/Makefile
  head/graphics/pygts/Makefile
  head/graphics/pymorph/Makefile
  head/graphics/raster3d/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/visionworkbench/Makefile
  head/graphics/xd3d/Makefile
  head/japanese/kana-no-quiz/Makefile
  head/java/icedtea-web/Makefile
  head/java/jlint/Makefile
  head/lang/dragonegg-devel46/Makefile
  head/lang/dragonegg46-33/Makefile
  head/lang/gcl/Makefile
  head/lang/ghc/Makefile
  head/lang/hiphop-php/Makefile
  head/lang/hs-brainfuck/Makefile
  head/lang/hs-epic/Makefile
  head/lang/hs-unlambda/Makefile
  head/lang/io/Makefile
  head/lang/ofc/Makefile
  head/lang/p5-ExtUtils-F77/Makefile
  head/lang/polyml/Makefile
  head/lang/ratfor/Makefile
  head/lang/x10/Makefile
  head/mail/annoyance-filter/Makefile
  head/mail/hs-email-validate/Makefile
  head/mail/hs-mime-mail/Makefile
  head/mail/hs-mime-types/Makefile
  head/mail/hs-mime/Makefile
  head/mail/thunderbird-dictionaries/Makefile
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird/Makefile
  head/math/PDL/Makefile
  head/math/R-cran-ChangeAnomalyDetection/Makefile
  head/math/R-cran-Formula/Makefile
  head/math/R-cran-KFAS/Makefile
  head/math/R-cran-LearnBayes/Makefile
  head/math/R-cran-MCMCpack/Makefile
  head/math/R-cran-RHmm/Makefile
  head/math/R-cran-RSvgDevice/Makefile
  head/math/R-cran-RcppArmadillo/Makefile
  head/math/R-cran-SuppDists/Makefile
  head/math/R-cran-Zelig/Makefile
  head/math/R-cran-bdsmatrix/Makefile
  head/math/R-cran-car/Makefile
  head/math/R-cran-coda/Makefile
  head/math/R-cran-deldir/Makefile
  head/math/R-cran-dlmodeler/Makefile
  head/math/R-cran-forecast/Makefile
  head/math/R-cran-fracdiff/Makefile
  head/math/R-cran-gpclib/Makefile
  head/math/R-cran-gss/Makefile
  head/math/R-cran-gtable/Makefile
  head/math/R-cran-igraph/Makefile
  head/math/R-cran-inline/Makefile
  head/math/R-cran-labeling/Makefile
  head/math/R-cran-memisc/Makefile
  head/math/R-cran-mvtnorm/Makefile
  head/math/R-cran-nnls/Makefile
  head/math/R-cran-outliers/Makefile
  head/math/R-cran-psych/Makefile
  head/math/R-cran-quadprog/Makefile
  head/math/R-cran-sandwich/Makefile
  head/math/R-cran-sm/Makefile
  head/math/R-cran-sp/Makefile
  head/math/R-cran-spdep/Makefile
  head/math/R-cran-sspir/Makefile
  head/math/R-cran-stabledist/Makefile
  head/math/R-cran-xts/Makefile
  head/math/R-cran-zoo/Makefile
  head/math/R/Makefile
  head/math/abacus/Makefile
  head/math/algae/Makefile
  head/math/armadillo/Makefile
  head/math/arpack++/Makefile
  head/math/arpack-ng/Makefile
  head/math/arpack/Makefile
  head/math/atlas-devel/Makefile
  head/math/atlas/Makefile
  head/math/bihar/Makefile
  head/math/blacs/Makefile
  head/math/blas/Makefile
  head/math/blocksolve95/Makefile
  head/math/cblas/Makefile
  head/math/clp/Makefile
  head/math/drgeo/Makefile
  head/math/dynare/Makefile
  head/math/eispack/Makefile
  head/math/elmer-umfpack/Makefile
  head/math/ess/Makefile
  head/math/fftw/Makefile
  head/math/freemat/Makefile
  head/math/giacxcas/Makefile
  head/math/gotoblas/Makefile
  head/math/grace/Makefile
  head/math/gretl/Makefile
  head/math/hs-Agda/Makefile
  head/math/hs-NumInstances/Makefile
  head/math/hs-categories/Makefile
  head/math/hs-comonad-transformers/Makefile
  head/math/hs-comonad/Makefile
  head/math/hs-comonads-fd/Makefile
  head/math/hs-contravariant/Makefile
  head/math/hs-data-lens-template/Makefile
  head/math/hs-data-lens/Makefile
  head/math/hs-distributive/Makefile
  head/math/hs-erf/Makefile
  head/math/hs-groupoids/Makefile
  head/math/hs-ieee754/Makefile
  head/math/hs-math-functions/Makefile
  head/math/hs-mwc-random/Makefile
  head/math/hs-nats/Makefile
  head/math/hs-pointed/Makefile
  head/math/hs-probability/Makefile
  head/math/hs-semigroupoid-extras/Makefile
  head/math/hs-semigroupoids/Makefile
  head/math/hs-semigroups/Makefile
  head/math/hs-statistics/Makefile
  head/math/hs-vector-space/Makefile
  head/math/ised/Makefile
  head/math/jags/Makefile
  head/math/kktdirect/Makefile
  head/math/labplot/Makefile
  head/math/lapack++/Makefile
  head/math/lapack/Makefile
  head/math/lapack95/Makefile
  head/math/lapacke/Makefile
  head/math/levmar/Makefile
  head/math/libflame/Makefile
  head/math/libtsnnls/Makefile
  head/math/linpack/Makefile
  head/math/ltl/Makefile
  head/math/metis-edf/Makefile
  head/math/mumps/Makefile
  head/math/octave-forge-actuarial/Makefile
  head/math/octave-forge-ad/Makefile
  head/math/octave-forge-audio/Makefile
  head/math/octave-forge-base/Makefile
  head/math/octave-forge-bim/Makefile
  head/math/octave-forge-bioinfo/Makefile
  head/math/octave-forge-cgi/Makefile
  head/math/octave-forge-civil-engineering/Makefile
  head/math/octave-forge-communications/Makefile
  head/math/octave-forge-control/Makefile
  head/math/octave-forge-data-smoothing/Makefile
  head/math/octave-forge-database/Makefile
  head/math/octave-forge-dataframe/Makefile
  head/math/octave-forge-dicom/Makefile
  head/math/octave-forge-divand/Makefile
  head/math/octave-forge-econometrics/Makefile
  head/math/octave-forge-engine/Makefile
  head/math/octave-forge-fenv/Makefile
  head/math/octave-forge-financial/Makefile
  head/math/octave-forge-fits/Makefile
  head/math/octave-forge-fl-core/Makefile
  head/math/octave-forge-fpl/Makefile
  head/math/octave-forge-fuzzy-logic-toolkit/Makefile
  head/math/octave-forge-ga/Makefile
  head/math/octave-forge-general/Makefile
  head/math/octave-forge-generate_html/Makefile
  head/math/octave-forge-geometry/Makefile
  head/math/octave-forge-gnuplot/Makefile
  head/math/octave-forge-gsl/Makefile
  head/math/octave-forge-ident/Makefile
  head/math/octave-forge-image/Makefile
  head/math/octave-forge-informationtheory/Makefile
  head/math/octave-forge-integration/Makefile
  head/math/octave-forge-io/Makefile
  head/math/octave-forge-irsa/Makefile
  head/math/octave-forge-linear-algebra/Makefile
  head/math/octave-forge-lssa/Makefile
  head/math/octave-forge-ltfat/Makefile
  head/math/octave-forge-mapping/Makefile
  head/math/octave-forge-mechanics/Makefile
  head/math/octave-forge-miscellaneous/Makefile
  head/math/octave-forge-missing-functions/Makefile
  head/math/octave-forge-msh/Makefile
  head/math/octave-forge-multicore/Makefile
  head/math/octave-forge-mvn/Makefile
  head/math/octave-forge-nan/Makefile
  head/math/octave-forge-ncarray/Makefile
  head/math/octave-forge-netcdf/Makefile
  head/math/octave-forge-nlwing2/Makefile
  head/math/octave-forge-nnet/Makefile
  head/math/octave-forge-nurbs/Makefile
  head/math/octave-forge-ocs/Makefile
  head/math/octave-forge-oct2mat/Makefile
  head/math/octave-forge-octcdf/Makefile
  head/math/octave-forge-octclip/Makefile
  head/math/octave-forge-octgpr/Makefile
  head/math/octave-forge-octproj/Makefile
  head/math/octave-forge-odebvp/Makefile
  head/math/octave-forge-odepkg/Makefile
  head/math/octave-forge-optim/Makefile
  head/math/octave-forge-optiminterp/Makefile
  head/math/octave-forge-outliers/Makefile
  head/math/octave-forge-parallel/Makefile
  head/math/octave-forge-pdb/Makefile
  head/math/octave-forge-plot/Makefile
  head/math/octave-forge-pt_br/Makefile
  head/math/octave-forge-quaternion/Makefile
  head/math/octave-forge-queueing/Makefile
  head/math/octave-forge-secs1d/Makefile
  head/math/octave-forge-secs2d/Makefile
  head/math/octave-forge-secs3d/Makefile
  head/math/octave-forge-signal/Makefile
  head/math/octave-forge-simp/Makefile
  head/math/octave-forge-sockets/Makefile
  head/math/octave-forge-specfun/Makefile
  head/math/octave-forge-special-matrix/Makefile
  head/math/octave-forge-spline-gcvspl/Makefile
  head/math/octave-forge-splines/Makefile
  head/math/octave-forge-statistics/Makefile
  head/math/octave-forge-strings/Makefile
  head/math/octave-forge-struct/Makefile
  head/math/octave-forge-symband/Makefile
  head/math/octave-forge-symbolic/Makefile
  head/math/octave-forge-tcl-octave/Makefile
  head/math/octave-forge-tsa/Makefile
  head/math/octave-forge-video/Makefile
  head/math/octave-forge-xraylib/Makefile
  head/math/octave-forge-zenity/Makefile
  head/math/octave-forge/Makefile
  head/math/octave/Makefile
  head/math/openblas/Makefile
  head/math/openfst/Makefile
  head/math/p5-Math-Int128/Makefile
  head/math/p5-Statistics-R/Makefile
  head/math/parmetis/Makefile
  head/math/parmgridgen/Makefile
  head/math/petsc/Makefile
  head/math/py-apgl/Makefile
  head/math/py-basemap/Makefile
  head/math/py-bottleneck/Makefile
  head/math/py-fastcluster/Makefile
  head/math/py-fiat/Makefile
  head/math/py-gnuplot/Makefile
  head/math/py-graphtool/Makefile
  head/math/py-gsl/Makefile
  head/math/py-matplotlib/Makefile
  head/math/py-numexpr/Makefile
  head/math/py-numpy/Makefile
  head/math/py-pandas/Makefile
  head/math/py-patsy/Makefile
  head/math/py-pymc/Makefile
  head/math/py-scientific/Makefile
  head/math/py-statsmodels/Makefile
  head/math/py-symeig/Makefile
  head/math/qd/Makefile
  head/math/qrupdate/Makefile
  head/math/qtoctave/Makefile
  head/math/rkward-kde4/Makefile
  head/math/ros-geometry/Makefile
  head/math/rpy/Makefile
  head/math/rpy2/Makefile
  head/math/ruby-fftw3/Makefile
  head/math/ruby-gnuplot/Makefile
  head/math/ruby-narray/Makefile
  head/math/ruby-narray_miss/Makefile
  head/math/ruby-numru_misc/Makefile
  head/math/sage/Makefile
  head/math/scalapack/Makefile
  head/math/scilab-toolbox-sivp/Makefile
  head/math/scilab-toolbox-swt/Makefile
  head/math/scilab/Makefile
  head/math/sdpa/Makefile
  head/math/sdpara/Makefile
  head/math/sedumi/Makefile
  head/math/sfft/Makefile
  head/math/slatec/Makefile
  head/math/slgrace/Makefile
  head/math/suitesparse/Makefile
  head/math/superlu/Makefile
  head/math/superlu_mt/Makefile
  head/math/taucs/Makefile
  head/math/trlan/Makefile
  head/math/wfmath/Makefile
  head/math/x12arima/Makefile
  head/math/xlapack/Makefile
  head/misc/diary-hercules/Makefile
  head/misc/kdeedu4/Makefile
  head/misc/metalink-editor/Makefile
  head/misc/pypanda/Makefile
  head/misc/terraform/Makefile
  head/multimedia/assimp/Makefile
  head/multimedia/freetuxtv/Makefile
  head/multimedia/freevo/Makefile
  head/multimedia/gaupol/Makefile
  head/multimedia/hs-gstreamer/Makefile
  head/multimedia/phonon-vlc/Makefile
  head/multimedia/photofilmstrip/Makefile
  head/multimedia/py-kaa-base/Makefile
  head/multimedia/py-kaa-imlib2/Makefile
  head/multimedia/py-kaa-metadata/Makefile
  head/multimedia/py-openlp/Makefile
  head/multimedia/subtitleeditor/Makefile
  head/multimedia/tunapie/Makefile
  head/multimedia/vlc/Makefile
  head/net-p2p/cpuminer/Makefile
  head/net-p2p/deluge/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/libtorrent-devel/Makefile
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/rtorrent-devel/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/tribler/Makefile
  head/net/R-cran-twitteR/Makefile
  head/net/cyphesis/Makefile
  head/net/hs-hostname/Makefile
  head/net/hs-maccatcher/Makefile
  head/net/hs-network-conduit/Makefile
  head/net/hs-network-info/Makefile
  head/net/hs-network-multicast/Makefile
  head/net/hs-network/Makefile
  head/net/hs-pcap/Makefile
  head/net/hs-publicsuffixlist/Makefile
  head/net/hs-sendfile/Makefile
  head/net/hs-simple-sendfile/Makefile
  head/net/hs-socks/Makefile
  head/net/mpich/Makefile
  head/net/mpich2/Makefile
  head/net/openmpi-devel/Makefile
  head/net/openmpi/Makefile
  head/net/p5-GeoIP2/Makefile
  head/net/p5-MaxMind-DB-Common/Makefile
  head/net/p5-MaxMind-DB-Reader/Makefile
  head/net/p5-Net-Works/Makefile
  head/net/pvm++/Makefile
  head/net/shaperprobe/Makefile
  head/net/vnc/Makefile
  head/net/xpvm/Makefile
  head/ports-mgmt/hs-porte/Makefile
  head/print/hs-hscolour/Makefile
  head/print/pdfcolorsplit/Makefile
  head/print/pdftk/Makefile
  head/print/py-fonttools/Makefile
  head/print/ttfquery/Makefile
  head/science/2dhf/Makefile
  head/science/R-cran-AMORE/Makefile
  head/science/R-cran-DCluster/Makefile
  head/science/R-cran-Epi/Makefile
  head/science/R-cran-bayesm/Makefile
  head/science/R-cran-e1071/Makefile
  head/science/R-cran-eco/Makefile
  head/science/R-cran-epicalc/Makefile
  head/science/R-cran-snow/Makefile
  head/science/R-cran-som/Makefile
  head/science/abinit/Makefile
  head/science/afni/Makefile
  head/science/avogadro/Makefile
  head/science/brian/Makefile
  head/science/cdf/Makefile
  head/science/cgnslib/Makefile
  head/science/dcl/Makefile
  head/science/dlpoly-classic/Makefile
  head/science/ecs/Makefile
  head/science/elmer-eio/Makefile
  head/science/elmer-hutiter/Makefile
  head/science/elmer-matc/Makefile
  head/science/elmerpost/Makefile
  head/science/flounder/Makefile
  head/science/fvcom/Makefile
  head/science/fvm/Makefile
  head/science/gamess/Makefile
  head/science/getdp/Makefile
  head/science/ghemical/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/gromacs/Makefile
  head/science/harminv/Makefile
  head/science/hdf/Makefile
  head/science/hs-bio/Makefile
  head/science/isaac-cfd/Makefile
  head/science/kalzium/Makefile
  head/science/libctl/Makefile
  head/science/libghemical/Makefile
  head/science/libkml/Makefile
  head/science/mbdyn/Makefile
  head/science/mcstas/Makefile
  head/science/meep/Makefile
  head/science/mpb/Makefile
  head/science/mpqc/Makefile
  head/science/ncs/Makefile
  head/science/openkim/Makefile
  head/science/pnetcdf/Makefile
  head/science/psi3/Makefile
  head/science/psychopy/Makefile
  head/science/py-h5py/Makefile
  head/science/py-hcluster/Makefile
  head/science/py-mdp/Makefile
  head/science/py-mlpy/Makefile
  head/science/py-netCDF4/Makefile
  head/science/py-obspy/Makefile
  head/science/py-pupynere/Makefile
  head/science/py-pydap/Makefile
  head/science/py-scikit-learn/Makefile
  head/science/py-scimath/Makefile
  head/science/py-scipy/Makefile
  head/science/pybrain/Makefile
  head/science/pycdf/Makefile
  head/science/pynn/Makefile
  head/science/pyteomics/Makefile
  head/science/ruby-dcl/Makefile
  head/science/ruby-gphys/Makefile
  head/science/ruby-netcdf/Makefile
  head/science/v_sim/Makefile
  head/science/veusz/Makefile
  head/security/R-cran-ROAuth/Makefile
  head/security/R-cran-digest/Makefile
  head/security/duo/Makefile
  head/security/hs-Crypto/Makefile
  head/security/hs-HsOpenSSL/Makefile
  head/security/hs-RSA/Makefile
  head/security/hs-SHA/Makefile
  head/security/hs-certificate/Makefile
  head/security/hs-cipher-aes/Makefile
  head/security/hs-cipher-rc4/Makefile
  head/security/hs-clientsession/Makefile
  head/security/hs-cprng-aes/Makefile
  head/security/hs-crypto-api/Makefile
  head/security/hs-crypto-conduit/Makefile
  head/security/hs-crypto-numbers/Makefile
  head/security/hs-crypto-pubkey-types/Makefile
  head/security/hs-crypto-pubkey/Makefile
  head/security/hs-crypto-random-api/Makefile
  head/security/hs-cryptocipher/Makefile
  head/security/hs-cryptohash/Makefile
  head/security/hs-digest/Makefile
  head/security/hs-entropy/Makefile
  head/security/hs-monadcryptorandom/Makefile
  head/security/hs-pem/Makefile
  head/security/hs-pureMD5/Makefile
  head/security/hs-pwstore-fast/Makefile
  head/security/hs-skein/Makefile
  head/security/hs-tls-extra/Makefile
  head/security/hs-tls/Makefile
  head/security/openvpn-auth-ldap/Makefile
  head/security/py-pycryptopp/Makefile
  head/security/w3af/Makefile
  head/sysutils/cpuburn/Makefile
  head/sysutils/grub2-bhyve/Makefile
  head/sysutils/grub2-efi/Makefile
  head/sysutils/grub2/Makefile
  head/sysutils/hachoir-wx/Makefile
  head/sysutils/hs-angel/Makefile
  head/sysutils/hs-cpu/Makefile
  head/sysutils/replicant/Makefile
  head/sysutils/wiimms/Makefile
  head/textproc/R-cran-R2HTML/Makefile
  head/textproc/R-cran-XML/Makefile
  head/textproc/R-cran-stringr/Makefile
  head/textproc/R-cran-xtable/Makefile
  head/textproc/hs-Diff/Makefile
  head/textproc/hs-HStringTemplate/Makefile
  head/textproc/hs-HaXml/Makefile
  head/textproc/hs-attoparsec-conduit/Makefile
  head/textproc/hs-attoparsec-enumerator/Makefile
  head/textproc/hs-attoparsec/Makefile
  head/textproc/hs-blaze-html/Makefile
  head/textproc/hs-blaze-markup/Makefile
  head/textproc/hs-bytestring-csv/Makefile
  head/textproc/hs-case-insensitive/Makefile
  head/textproc/hs-citeproc-hs/Makefile
  head/textproc/hs-csv/Makefile
  head/textproc/hs-double-conversion/Makefile
  head/textproc/hs-feed/Makefile
  head/textproc/hs-hexpat/Makefile
  head/textproc/hs-highlighting-kate/Makefile
  head/textproc/hs-hs-bibutils/Makefile
  head/textproc/hs-html-conduit/Makefile
  head/textproc/hs-html/Makefile
  head/textproc/hs-hxt-charproperties/Makefile
  head/textproc/hs-hxt-regex-xmlschema/Makefile
  head/textproc/hs-hxt-unicode/Makefile
  head/textproc/hs-hxt/Makefile
  head/textproc/hs-lhs2tex/Makefile
  head/textproc/hs-libxml/Makefile
  head/textproc/hs-pandoc-types/Makefile
  head/textproc/hs-pandoc/Makefile
  head/textproc/hs-parsec/Makefile
  head/textproc/hs-polyparse/Makefile
  head/textproc/hs-regex-base/Makefile
  head/textproc/hs-regex-compat/Makefile
  head/textproc/hs-regex-pcre-builtin/Makefile
  head/textproc/hs-regex-posix/Makefile
  head/textproc/hs-regex-tdfa/Makefile
  head/textproc/hs-stringsearch/Makefile
  head/textproc/hs-tagsoup/Makefile
  head/textproc/hs-tagstream-conduit/Makefile
  head/textproc/hs-texmath/Makefile
  head/textproc/hs-xhtml/Makefile
  head/textproc/hs-xml-conduit/Makefile
  head/textproc/hs-xml-types/Makefile
  head/textproc/hs-xml/Makefile
  head/textproc/hs-xmlhtml/Makefile
  head/textproc/hs-yaml/Makefile
  head/textproc/p5-Search-VectorSpace/Makefile
  head/textproc/py-enchant/Makefile
  head/www/R-cran-RgoogleMaps/Makefile
  head/www/R-cran-Rpad/Makefile
  head/www/R-cran-httpuv/Makefile
  head/www/R-cran-scrapeR/Makefile
  head/www/R-cran-shiny/Makefile
  head/www/firefox-esr/Makefile
  head/www/firefox-i18n/Makefile
  head/www/firefox/Makefile
  head/www/gecko-mediaplayer/Makefile
  head/www/gecko-sharp20/Makefile
  head/www/hs-HTTP/Makefile
  head/www/hs-activehs/Makefile
  head/www/hs-authenticate/Makefile
  head/www/hs-cgi/Makefile
  head/www/hs-cookie/Makefile
  head/www/hs-css-text/Makefile
  head/www/hs-fastcgi/Makefile
  head/www/hs-gitit/Makefile
  head/www/hs-hS3/Makefile
  head/www/hs-hamlet/Makefile
  head/www/hs-happstack-server/Makefile
  head/www/hs-happstack/Makefile
  head/www/hs-heist/Makefile
  head/www/hs-hjsmin/Makefile
  head/www/hs-http-conduit/Makefile
  head/www/hs-http-date/Makefile
  head/www/hs-http-reverse-proxy/Makefile
  head/www/hs-http-server/Makefile
  head/www/hs-http-types/Makefile
  head/www/hs-oeis/Makefile
  head/www/hs-path-pieces/Makefile
  head/www/hs-recaptcha/Makefile
  head/www/hs-scgi/Makefile
  head/www/hs-shakespeare-css/Makefile
  head/www/hs-shakespeare-i18n/Makefile
  head/www/hs-shakespeare-js/Makefile
  head/www/hs-shakespeare-text/Makefile
  head/www/hs-shakespeare/Makefile
  head/www/hs-snap-core/Makefile
  head/www/hs-snap-server/Makefile
  head/www/hs-snap/Makefile
  head/www/hs-url/Makefile
  head/www/hs-wai-app-static/Makefile
  head/www/hs-wai-extra/Makefile
  head/www/hs-wai-logger/Makefile
  head/www/hs-wai-test/Makefile
  head/www/hs-wai/Makefile
  head/www/hs-warp/Makefile
  head/www/hs-webkit/Makefile
  head/www/hs-xss-sanitize/Makefile
  head/www/hs-yesod-auth/Makefile
  head/www/hs-yesod-core/Makefile
  head/www/hs-yesod-form/Makefile
  head/www/hs-yesod-persistent/Makefile
  head/www/hs-yesod-platform/Makefile
  head/www/hs-yesod-routes/Makefile
  head/www/hs-yesod-static/Makefile
  head/www/hs-yesod-test/Makefile
  head/www/hs-yesod/Makefile
  head/www/node-devel/Makefile
  head/www/npapi-vlc/Makefile
  head/www/pylot/Makefile
  head/www/seamonkey-i18n/Makefile
  head/www/xpi-conkeror/Makefile
  head/x11-fm/worker/Makefile
  head/x11-toolkits/c++-gtk-utils/Makefile
  head/x11-toolkits/gigi/Makefile
  head/x11-toolkits/granite/Makefile
  head/x11-toolkits/hs-GLURaw/Makefile
  head/x11-toolkits/hs-GLUT/Makefile
  head/x11-toolkits/hs-OpenGL/Makefile
  head/x11-toolkits/hs-OpenGLRaw/Makefile
  head/x11-toolkits/hs-gtk/Makefile
  head/x11-toolkits/hs-gtk2hs/Makefile
  head/x11-toolkits/hs-gtkglext/Makefile
  head/x11-toolkits/hs-gtksourceview2/Makefile
  head/x11-toolkits/hs-pango/Makefile
  head/x11-toolkits/hs-vte/Makefile
  head/x11-toolkits/hs-wx/Makefile
  head/x11-toolkits/hs-wxc/Makefile
  head/x11-toolkits/hs-wxcore/Makefile
  head/x11-toolkits/hs-wxdirect/Makefile
  head/x11-toolkits/mygui/Makefile
  head/x11-toolkits/py-SquareMap/Makefile
  head/x11-toolkits/py-gtkglext/Makefile
  head/x11-toolkits/py-kivy/Makefile
  head/x11-toolkits/py-pyqwt/Makefile
  head/x11-toolkits/py-traitsbackendwx/Makefile
  head/x11-toolkits/py-traitsgui/Makefile
  head/x11-toolkits/py-wax/Makefile
  head/x11-toolkits/py-wxPython26-common/Makefile
  head/x11-toolkits/py-wxPython26/Makefile
  head/x11-toolkits/py-wxPython28-common/Makefile
  head/x11-toolkits/py-wxPython28/Makefile
  head/x11-wm/hs-xmonad-contrib/Makefile
  head/x11-wm/hs-xmonad/Makefile
  head/x11-wm/obapps/Makefile
  head/x11/guake/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11/hs-X11/Makefile
  head/x11/hs-xmobar/Makefile
  head/x11/kde4/Makefile
  head/x11/rxvt-unicode/Makefile
  head/x11/urxvt-perls/Makefile

Modified: head/archivers/hs-tar/Makefile
==============================================================================
--- head/archivers/hs-tar/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-tar/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	tar
 PORTVERSION=	0.4.0.1
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zip-archive/Makefile
==============================================================================
--- head/archivers/hs-zip-archive/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-zip-archive/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zip-archive
 PORTVERSION=	0.1.3.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-bindings/Makefile
==============================================================================
--- head/archivers/hs-zlib-bindings/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-zlib-bindings/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-bindings
 PORTVERSION=	0.1.1.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-conduit/Makefile
==============================================================================
--- head/archivers/hs-zlib-conduit/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-zlib-conduit/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-enum/Makefile
==============================================================================
--- head/archivers/hs-zlib-enum/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-zlib-enum/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-enum
 PORTVERSION=	0.2.3
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib/Makefile
==============================================================================
--- head/archivers/hs-zlib/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/archivers/hs-zlib/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	zlib
 PORTVERSION=	0.5.4.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/astro/R-cran-maptools/Makefile
==============================================================================
--- head/astro/R-cran-maptools/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/R-cran-maptools/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	maptools
 DISTVERSION=	0.8-29
+PORTREVISION=	1
 CATEGORIES=	astro
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/astro/astrometry/Makefile
==============================================================================
--- head/astro/astrometry/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/astrometry/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	astrometry
 PORTVERSION=	0.34
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	astro
 MASTER_SITES=	http://www.astrometry.net/downloads/
 DISTNAME=	astrometry.net-${PORTVERSION}

Modified: head/astro/nightfall/Makefile
==============================================================================
--- head/astro/nightfall/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/nightfall/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	nightfall
 PORTVERSION=	1.70
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	astro
 MASTER_SITES=	http://www.la-samhna.de/nightfall/
 

Modified: head/astro/py-RO/Makefile
==============================================================================
--- head/astro/py-RO/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/py-RO/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RO
 PORTVERSION=	3.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/astro/py-aipy/Makefile
==============================================================================
--- head/astro/py-aipy/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/py-aipy/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	aipy
 PORTVERSION=	1.1.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	astro python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/astro/py-astLib/Makefile
==============================================================================
--- head/astro/py-astLib/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/py-astLib/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	astLib
 PORTVERSION=	0.7.0
+PORTREVISION=	1
 CATEGORIES=	astro python
 MASTER_SITES=	SF
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/astro/py-pyfits/Makefile
==============================================================================
--- head/astro/py-pyfits/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/py-pyfits/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pyfits
 PORTVERSION=	3.1.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/astro/xtide/Makefile
==============================================================================
--- head/astro/xtide/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/astro/xtide/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xtide
 PORTVERSION=	2.13.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro geography
 MASTER_SITES=	ftp://ftp.flaterco.com/xtide/ \
 		http://www.c-s.li/ports/

Modified: head/audio/beast/Makefile
==============================================================================
--- head/audio/beast/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/beast/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	beast
 PORTVERSION=	0.7.8
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://dist.testbit.eu/beast/%SUBDIR%/
 MASTER_SITE_SUBDIR=	v${PORTVERSION:R}

Modified: head/audio/gramofile/Makefile
==============================================================================
--- head/audio/gramofile/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/gramofile/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gramofile
 PORTVERSION=	1.6P
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	http://www.opensourcepartners.nl/~costar/gramofile/
 

Modified: head/audio/hs-ALUT/Makefile
==============================================================================
--- head/audio/hs-ALUT/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/hs-ALUT/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ALUT
 PORTVERSION=	2.2.0.0
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/hs-OpenAL/Makefile
==============================================================================
--- head/audio/hs-OpenAL/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/hs-OpenAL/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	OpenAL
 PORTVERSION=	1.4.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/hs-libmpd/Makefile
==============================================================================
--- head/audio/hs-libmpd/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/hs-libmpd/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	libmpd
 PORTVERSION=	0.8.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/mbox/Makefile
==============================================================================
--- head/audio/mbox/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/mbox/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mbox
 PORTVERSION=	0.7.2
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	audio
 MASTER_SITES=	http://www.mbox.wz.cz/src/ CENKES
 

Modified: head/audio/py-karaoke/Makefile
==============================================================================
--- head/audio/py-karaoke/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/py-karaoke/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	karaoke
 PORTVERSION=	0.7.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio python
 MASTER_SITES=	SF/py${PORTNAME}/py${PORTNAME}/${PORTVERSION}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/audio/py-tagpy/Makefile
==============================================================================
--- head/audio/py-tagpy/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/py-tagpy/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	tagpy
 PORTVERSION=	2013.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/audio/smasher/Makefile
==============================================================================
--- head/audio/smasher/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/smasher/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	smasher
 PORTVERSION=	1.1.6
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION}-source

Modified: head/audio/squash/Makefile
==============================================================================
--- head/audio/squash/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/audio/squash/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=		squash
 PORTVERSION=		1.0
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=		audio
 MASTER_SITES=		${MASTER_SITE_SAVANNAH}
 MASTER_SITE_SUBDIR=	${PORTNAME}

Modified: head/benchmarks/himenobench/Makefile
==============================================================================
--- head/benchmarks/himenobench/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/himenobench/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	himenobench
 PORTVERSION=	2004.08.16
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://accc.riken.jp/secure/4502/:C http://accc.riken.jp/secure/4503/:C \
 		http://accc.riken.jp/secure/4504/:F90 http://accc.riken.jp/secure/4505/:F77

Modified: head/benchmarks/hpl/Makefile
==============================================================================
--- head/benchmarks/hpl/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/hpl/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	hpl
 PORTVERSION=	2.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	benchmarks
 MASTER_SITES=	${MASTER_SITE_NETLIB}
 MASTER_SITE_SUBDIR=	benchmark/hpl

Modified: head/benchmarks/hs-criterion/Makefile
==============================================================================
--- head/benchmarks/hs-criterion/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/hs-criterion/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	criterion
 PORTVERSION=	0.6.2.1
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	benchmarks haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/benchmarks/imb/Makefile
==============================================================================
--- head/benchmarks/imb/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/imb/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	imb
 PORTVERSION=	3.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	benchmarks parallel
 MASTER_SITES=	${MASTER_SITE_LOCAL} \
 		http://cache-www.intel.com/cd/00/00/32/71/

Modified: head/benchmarks/mdtest/Makefile
==============================================================================
--- head/benchmarks/mdtest/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/mdtest/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mdtest
 PORTVERSION=	1.9.3
+PORTREVISION=	1
 CATEGORIES=	benchmarks
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20latest/${PORTNAME}-${PORTVERSION}
 EXTRACT_SUFX=	.tgz

Modified: head/benchmarks/octave-forge-benchmark/Makefile
==============================================================================
--- head/benchmarks/octave-forge-benchmark/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/benchmarks/octave-forge-benchmark/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	octave-forge-benchmark
 PORTVERSION=	1.1.1
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	benchmarks math
 
 MAINTAINER=	stephen@FreeBSD.org

Modified: head/biology/crux/Makefile
==============================================================================
--- head/biology/crux/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/crux/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	crux
 PORTVERSION=	1.2.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	biology python
 MASTER_SITES=	http://www.canonware.com/download/Crux/
 

Modified: head/biology/molden/Makefile
==============================================================================
--- head/biology/molden/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/molden/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	molden
 PORTVERSION=	5.0.7
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	biology
 MASTER_SITES=	ftp://ftp.cmbi.ru.nl/pub/molgraph/molden/

Modified: head/biology/ortep3/Makefile
==============================================================================
--- head/biology/ortep3/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/ortep3/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ortep3
 PORTVERSION=	1.0.3
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	biology
 MASTER_SITES=	http://www.ccl.net/cca/software/SOURCES/FORTRAN/ortep/:Z \
 		ftp://ftp.ornl.gov/pub/ortep/src/:f

Modified: head/biology/platon/Makefile
==============================================================================
--- head/biology/platon/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/platon/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	platon
 PORTVERSION=	2013.12.12
+PORTREVISION=	1
 CATEGORIES=	biology
 MASTER_SITES=	http://www.cryst.chem.uu.nl/spek/xraysoft/unix/
 DISTNAME=	platon

Modified: head/biology/plink/Makefile
==============================================================================
--- head/biology/plink/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/plink/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	plink
 PORTVERSION=	1.07
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	biology science
 MASTER_SITES=	http://pngu.mgh.harvard.edu/~purcell/plink/dist/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src

Modified: head/biology/psi88/Makefile
==============================================================================
--- head/biology/psi88/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/psi88/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	psi88
 PORTVERSION=	1.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	biology
 MASTER_SITES=	http://www.ccl.net/cca/software/SOURCES/FORTRAN/psi88/
 DISTNAME=	${PORTNAME}

Modified: head/biology/py-biopython/Makefile
==============================================================================
--- head/biology/py-biopython/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/py-biopython/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	biopython
 PORTVERSION=	1.60
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	biology python
 MASTER_SITES=	http://www.biopython.org/DIST/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/biology/pycogent/Makefile
==============================================================================
--- head/biology/pycogent/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/pycogent/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pycogent
 PORTVERSION=	1.5.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	biology python
 MASTER_SITES=	SF/${PORTNAME}/PyCogent/${PORTVERSION}
 DISTNAME=	PyCogent-${PORTVERSION}

Modified: head/biology/pyfasta/Makefile
==============================================================================
--- head/biology/pyfasta/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/pyfasta/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pyfasta
 PORTVERSION=	0.5.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	biology python
 MASTER_SITES=	CHEESESHOP
 

Modified: head/biology/seqan/Makefile
==============================================================================
--- head/biology/seqan/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/seqan/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	seqan
 PORTVERSION=	1.3.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	biology
 MASTER_SITES=	http://ftp.seqan.de/releases/
 

Modified: head/biology/t_coffee/Makefile
==============================================================================
--- head/biology/t_coffee/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/t_coffee/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -4,7 +4,7 @@
 PORTNAME=	t_coffee
 PORTVERSION=	9.03
 DISTVERSIONSUFFIX=	.r1318
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	biology
 MASTER_SITES=	http://www.tcoffee.org/Packages/Stable/%SUBDIR%/
 MASTER_SITE_SUBDIR=	Version_${PORTVERSION}${DISTVERSIONSUFFIX}

Modified: head/biology/tinker/Makefile
==============================================================================
--- head/biology/tinker/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/biology/tinker/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	tinker
 PORTVERSION=	6.2.06
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	biology
 MASTER_SITES=	http://dasher.wustl.edu/tinker/downloads/
 

Modified: head/cad/calculix/Makefile
==============================================================================
--- head/cad/calculix/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/calculix/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	CalculiX
 PORTVERSION=	2.7
+PORTREVISION=	1
 CATEGORIES=	cad
 MASTER_SITES=	http://www.dhondt.de/
 DISTFILES=	${DIST_SOURCES}

Modified: head/cad/feappv/Makefile
==============================================================================
--- head/cad/feappv/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/feappv/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	feappv
 PORTVERSION=	3.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	cad science
 MASTER_SITES=	http://www.ce.berkeley.edu/projects/feap/feappv/
 DISTFILES=	${PORTNAME}${PORTVERSION:S/.//}${EXTRACT_SUFX} ${PORTDOCS}

Modified: head/cad/gmsh-occ/Makefile
==============================================================================
--- head/cad/gmsh-occ/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/gmsh-occ/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gmsh
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	cad
 PKGNAMESUFFIX=	-occ
 

Modified: head/cad/gmsh/Makefile
==============================================================================
--- head/cad/gmsh/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/gmsh/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gmsh
 PORTVERSION=	2.8.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	cad
 MASTER_SITES=	http://www.geuz.org/gmsh/src/ \
 		http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis/

Modified: head/cad/gspiceui/Makefile
==============================================================================
--- head/cad/gspiceui/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/gspiceui/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gspiceui
 PORTVERSION=	1.0.00
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	cad
 MASTER_SITES=	SF/${PORTNAME}/gSpiceUI/${PORTNAME}-v${PORTVERSION}
 DISTNAME=	${PORTNAME}-v${PORTVERSION}

Modified: head/cad/kicad-devel/Makefile
==============================================================================
--- head/cad/kicad-devel/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/kicad-devel/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=		kicad
 DISTVERSION=    r${BZR_SRC_REV}
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=		cad
 MASTER_SITES=   ${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=     mr

Modified: head/cad/pdnmesh/Makefile
==============================================================================
--- head/cad/pdnmesh/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/pdnmesh/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pdnmesh
 PORTVERSION=	0.2.2
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	cad
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-source/${PORTVERSION}
 

Modified: head/cad/sceptre/Makefile
==============================================================================
--- head/cad/sceptre/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/sceptre/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sceptre
 PORTVERSION=	2012.061
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	cad
 MASTER_SITES=	http://alpha.fh-friedberg.de/iem/fileadmin/user_upload/novender/sceptre/
 

Modified: head/cad/scotch/Makefile
==============================================================================
--- head/cad/scotch/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/scotch/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	scotch
 DISTVERSION=	5.1.12b_esmumps
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	cad science
 MASTER_SITES=	https://gforge.inria.fr/frs/download.php/28978/
 DISTNAME=	${PORTNAME}_${DISTVERSION}

Modified: head/cad/tochnog/Makefile
==============================================================================
--- head/cad/tochnog/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/cad/tochnog/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	tochnog
 PORTVERSION=	20010211
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	cad
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/feb11_2001
 DISTNAME=	${PORTNAME}_feb11_2001

Modified: head/comms/dabstick-radio/Makefile
==============================================================================
--- head/comms/dabstick-radio/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/dabstick-radio/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dabstick-radio
 PORTVERSION=	0.96
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	comms audio hamradio
 MASTER_SITES=	http://www.sdr-j.tk/
 EXTRACT_SUFX=	.tgz

Modified: head/comms/efax-gtk/Makefile
==============================================================================
--- head/comms/efax-gtk/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/efax-gtk/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	efax-gtk
 PORTVERSION=	3.2.12
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	comms
 MASTER_SITES=	SF
 EXTRACT_SUFX=	.src.tgz

Modified: head/comms/ems-flasher/Makefile
==============================================================================
--- head/comms/ems-flasher/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/ems-flasher/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ems-flasher
 PORTVERSION=	0.03
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	comms
 MASTER_SITES=	http://lacklustre.net/redmine/attachments/download/10/ \
 	http://update.cooltrainer.org/freebsd-ports/comms/ems-flasher/

Modified: head/comms/gmfsk/Makefile
==============================================================================
--- head/comms/gmfsk/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/gmfsk/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gmfsk
 PORTVERSION=	0.6
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	comms audio hamradio
 MASTER_SITES=	http://gmfsk.connect.fi/ \
 		${MASTER_SITE_LOCAL}

Modified: head/comms/gnuradio/Makefile
==============================================================================
--- head/comms/gnuradio/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/gnuradio/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,6 +2,7 @@
 
 PORTNAME=	gnuradio
 PORTVERSION=	3.7.2
+PORTREVISION=	1
 CATEGORIES=	comms astro hamradio
 MASTER_SITES=	http://gnuradio.org/releases/gnuradio/ \
 		${MASTER_SITE_LOCAL}

Modified: head/comms/gqrx/Makefile
==============================================================================
--- head/comms/gqrx/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/gqrx/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gqrx
 PORTVERSION=	20130504
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	comms hamradio
 MASTER_SITES=	http://contribs.martymac.org/FreeBSD-ports/distfiles/ \
 		LOCAL/martymac

Modified: head/comms/gr-osmosdr/Makefile
==============================================================================
--- head/comms/gr-osmosdr/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/gr-osmosdr/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	gr-osmosdr
 PORTVERSION=	20130509
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	comms hamradio
 MASTER_SITES=	http://contribs.martymac.org/FreeBSD-ports/distfiles/ \
 		LOCAL/martymac

Modified: head/comms/wsjt/Makefile
==============================================================================
--- head/comms/wsjt/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/wsjt/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	wsjt
 VERSION=	9.1
-PORTREVISION=	2
+PORTREVISION=	3
 DISTVERSION=	${VERSION}.r${SVN_REV}
 CATEGORIES=	comms hamradio
 MASTER_SITES=	${MASTER_SITE_LOCAL}

Modified: head/comms/wspr/Makefile
==============================================================================
--- head/comms/wspr/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/comms/wspr/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	wspr
 DISTVERSION=	${VERSION}.r${SVN_REV}
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	comms hamradio
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	db

Modified: head/converters/R-cran-RJSONIO/Makefile
==============================================================================
--- head/converters/R-cran-RJSONIO/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/converters/R-cran-RJSONIO/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RJSONIO
 DISTVERSION=	1.0-3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/converters/R-cran-rjson/Makefile
==============================================================================
--- head/converters/R-cran-rjson/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/converters/R-cran-rjson/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	rjson
 PORTVERSION=	0.2.13
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	converters
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/converters/hs-aeson/Makefile
==============================================================================
--- head/converters/hs-aeson/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/converters/hs-aeson/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	aeson
 PORTVERSION=	0.6.1.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/converters/hs-dataenc/Makefile
==============================================================================
--- head/converters/hs-dataenc/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/converters/hs-dataenc/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	dataenc
 PORTVERSION=	0.14.0.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/converters/hs-json/Makefile
==============================================================================
--- head/converters/hs-json/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/converters/hs-json/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	json
 PORTVERSION=	0.7
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/R-cran-DBI/Makefile
==============================================================================
--- head/databases/R-cran-DBI/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/R-cran-DBI/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	DBI
 DISTVERSION=	0.2-7
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	databases
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/databases/R-cran-RMySQL/Makefile
==============================================================================
--- head/databases/R-cran-RMySQL/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/R-cran-RMySQL/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RMySQL
 DISTVERSION=	0.9-3
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	databases
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/databases/R-cran-RSQLite.extfuns/Makefile
==============================================================================
--- head/databases/R-cran-RSQLite.extfuns/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/R-cran-RSQLite.extfuns/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RSQLite.extfuns
 PORTVERSION=	0.0.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	databases
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/databases/R-cran-RSQLite/Makefile
==============================================================================
--- head/databases/R-cran-RSQLite/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/R-cran-RSQLite/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RSQLite
 PORTVERSION=	0.11.2
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	databases
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/databases/R-cran-sqldf/Makefile
==============================================================================
--- head/databases/R-cran-sqldf/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/R-cran-sqldf/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	sqldf
 DISTVERSION=	0.4-7
+PORTREVISION=	1
 CATEGORIES=	databases
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/databases/grass/Makefile
==============================================================================
--- head/databases/grass/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/grass/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	grass
 PORTVERSION=	6.4.3
+PORTREVISION=	1
 PORTEPOCH=	2
 CATEGORIES=	databases geography
 MASTER_SITES=	http://grass.osgeo.org/%SUBDIR%/ \

Modified: head/databases/hs-mysql/Makefile
==============================================================================
--- head/databases/hs-mysql/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/hs-mysql/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mysql
 PORTVERSION=	0.1.1.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent-sqlite/Makefile
==============================================================================
--- head/databases/hs-persistent-sqlite/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/hs-persistent-sqlite/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-sqlite
 PORTVERSION=	1.2.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent-template/Makefile
==============================================================================
--- head/databases/hs-persistent-template/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/hs-persistent-template/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-template
 PORTVERSION=	1.2.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent/Makefile
==============================================================================
--- head/databases/hs-persistent/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/databases/hs-persistent/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent
 PORTVERSION=	1.2.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/deskutils/cycle/Makefile
==============================================================================
--- head/deskutils/cycle/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/cycle/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cycle
 PORTVERSION=	0.3.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	deskutils biology python
 MASTER_SITES=	SF
 

Modified: head/deskutils/growl-for-linux/Makefile
==============================================================================
--- head/deskutils/growl-for-linux/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/growl-for-linux/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	growl-for-linux
 PORTVERSION=	0.6.9
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	deskutils
 
 MAINTAINER=	nivit@FreeBSD.org

Modified: head/deskutils/labyrinth/Makefile
==============================================================================
--- head/deskutils/labyrinth/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/labyrinth/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	labyrinth
 PORTVERSION=	0.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils python
 MASTER_SITES=	GOOGLE_CODE
 

Modified: head/deskutils/notify-osd/Makefile
==============================================================================
--- head/deskutils/notify-osd/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/notify-osd/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	notify-osd
 PORTVERSION=	0.9.29
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	deskutils
 MASTER_SITES=	http://launchpadlibrarian.net/43419242/ \
 		CRITICAL

Modified: head/deskutils/recoll/Makefile
==============================================================================
--- head/deskutils/recoll/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/recoll/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	recoll
 PORTVERSION=	1.19.10
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	http://www.lesbonscomptes.com/${PORTNAME}/
 

Modified: head/deskutils/taskcoach/Makefile
==============================================================================
--- head/deskutils/taskcoach/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/taskcoach/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,6 +2,7 @@
 
 PORTNAME=	taskcoach
 PORTVERSION=	1.3.36
+PORTREVISION=	1
 CATEGORIES=	deskutils python
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Release-${PORTVERSION}
 DISTNAME=	TaskCoach-${PORTVERSION}

Modified: head/deskutils/wammu/Makefile
==============================================================================
--- head/deskutils/wammu/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/deskutils/wammu/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=		wammu
 PORTVERSION=		0.36
-PORTREVISION=		5
+PORTREVISION=	6
 CATEGORIES=		deskutils
 MASTER_SITES=		http://dl.cihar.com/wammu/v0/ \
 			http://dl.cihar.com.nyud.net/wammu/v0/

Modified: head/devel/R-cran-Defaults/Makefile
==============================================================================
--- head/devel/R-cran-Defaults/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-Defaults/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Defaults
 DISTVERSION=	1.1-1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/devel/R-cran-Hmisc/Makefile
==============================================================================
--- head/devel/R-cran-Hmisc/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-Hmisc/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -2,7 +2,7 @@
 
 PORTNAME=	Hmisc
 DISTVERSION=	3.10-1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/devel/R-cran-RUnit/Makefile
==============================================================================
--- head/devel/R-cran-RUnit/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-RUnit/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RUnit
 PORTVERSION=	0.4.26
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/devel/R-cran-Rcpp/Makefile
==============================================================================
--- head/devel/R-cran-Rcpp/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-Rcpp/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Rcpp
 PORTVERSION=	0.11.0
+PORTREVISION=	1
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/devel/R-cran-bitops/Makefile
==============================================================================
--- head/devel/R-cran-bitops/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-bitops/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bitops
 DISTVERSION=	1.0-6
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/devel/R-cran-caTools/Makefile
==============================================================================
--- head/devel/R-cran-caTools/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-caTools/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	caTools
 PORTVERSION=	1.16
+PORTREVISION=	1
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/devel/R-cran-caret/Makefile
==============================================================================
--- head/devel/R-cran-caret/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-caret/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,6 +3,7 @@
 
 PORTNAME=	caret
 DISTVERSION=	6.0-24
+PORTREVISION=	1
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/devel/R-cran-chron/Makefile
==============================================================================
--- head/devel/R-cran-chron/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-chron/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	chron
 DISTVERSION=	2.3-43
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/devel/R-cran-foreach/Makefile
==============================================================================
--- head/devel/R-cran-foreach/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-foreach/Makefile	Mon Mar 10 20:55:20 2014	(r347809)
@@ -3,7 +3,7 @@
 
 PORTNAME=	foreach
 PORTVERSION=	1.4.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 

Modified: head/devel/R-cran-gbm/Makefile
==============================================================================
--- head/devel/R-cran-gbm/Makefile	Mon Mar 10 20:41:10 2014	(r347808)
+++ head/devel/R-cran-gbm/Makefile	Mon Mar 10 20:55:20 2014	(r347809)

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 23 Gerald Pfeifer freebsd_committer 2014-03-10 21:02:56 UTC
State Changed
From-To: open->closed

The deed is done.  Thanks to all who helped!